// Inventory Room                                                    Version .71   
//******************************************************************************
// In general adding inventory items is a pain in the ass, simply because of the
// necesary steps. The process of adding an item requires edit of multiple files.
// When you get to the part about this file, I have tried to make the corresponding
// areas in this script stand out. Scrolling down you should be able to identify the
// numbered sections easily. I know it's a pain, but just follow the steps as outlined
// starting with game.sh and work your way down. I do it and everything comes out fine.
//******************************************************************************
//   => game.sh
//      - Add item to inventory list ex. (define INV_CASH 1)
//   => Text 500
//      - Place description used for look item in same number as defined
//   => Text 501 
//      - Place any miscellaneous interaction responses as needed for item
//   => main.sc
//      - quarter of the way down add the item to inventory list ex. {Cash}
//      - bottom of the script add instance for item ex. (instance {Cash} of Iitem(properties))
//   => This file
//      .0 - customise the inventory room to fit your needs, menu options & icon settings
//      .1 - addToPic the last room's views as background - anything there by way of init() 
//      .2 - Insert case statement to define item init
//      .3 - Create the Instance that holds views display information 
//      .5 - Add click on information for each item depending on cursor
//      .6 - Decide if item is not droppable and declare it in the dropAble switch 
//      .7 - add call in 'click on trash' to change item's cel to 0 when dropped
//   => Create cursor image, numbered the same as item number
//   => View 950 (4 images) in the inventories view sets
//      - Add item menuIcon unhighlighted view to loop 2 where cel the same as item number
//      - Add item menuIcon highlighted view to loop 3 where cel the same as item number
//      - Add item thumbview to loop 5 where cel the same as item number: w=25, h=20
//      - Add item look view to loop 4 where cel the same as item number
//******************************************************************************
(include "sci.sh")(include "game.sh")                               (script 500)
(use "main")(use "controls")(use "game")(use "feature")(use "obj")
(local
//********************************************************************************
// 0.                                                 Customise the inventory room
//********************************************************************************
    //  Menu Button Settings
    allowTalk = FALSE    // Can your players talk to items if they want... if false, talk responses can be dropped
    allowTrash = FALSE   // Can your players drop items if they want... if false, steps #6, 7 can be ignored
    allowHelp = TRUE     // Is the help button available
    allowInvblock = TRUE // Do you want the selected item block     
    placeMenuX = 98      // the initial x position of first menu button
    placeMenuY = 52      // the initial y position of menu buttons

    // Item icon Settings
    specialCase[5] = (1 10 8 5 6) // item numbers with special interactions 
                                    // ex. one item used on another... 
                                    // or anything with print calls other than basic look, talk,etc
                                    // the size needs to be reflected in step 5!!!!!
   	totalItems = 10      // The largest item number you have defined in game.sh
    firstItemX = 79      // the x position of first row of items
    firstItemY = 81      // the y position of first row of items
    
    spacerItemX = 27     // the amount the x position changes from item to item.. (width+2)
    spacerItemY = 24     // the amount the y position changes from row to row..   (height+4) 
             
    spacerMenuX = 28     // the width of your standard menu buttons
    sizeMenublock = 40   // the width of your menu block button
    maxItemX = 242       // the maximum x position before starting new row of items

//******************************************************************************
    thisItem             // used to name item instances
    thisTitle            // used during print to display icon titles
    thisVariable         // used during print to display variable values
    newItemX = 0         // the x variable that changes to place our items, sets itsef
    newItemY = 0         // the y variable that changes to place our items, sets itsef
    inv_mode = TRUE      // keeps our doit method from dumping us from room yet
    started_up = FALSE   // used solely to change cursor upon loading - see doit method
    spacerMenublock = 0  // extra space needed to place menu block button, it will set itself later
    txtstring[50]        // used to display and update any amount variables
    dropAble = 1         // Is an Item droppable - set in droppable section (5,6) 
    i                    // looping variable
    a                    // looping variable
    isSpecial            // inArray Boolean  
)
(instance public rm500 of Rm
(properties)
  (method (init)
  DrawPic(500 dpOPEN_INSTANTLY dpNO_CLEAR)
  (super:init())
  (switch(gPreviousRoomNumber)  
//******************************************************************************
// 1.                                Previous rooms actors & views to background
//******************************************************************************
//(case 1 (send (Prop:new()):view(142)loop(0)cel(0)posn(55 150)addToPic()))
//******************************************************************************
(case 1)
(case 2)
(case 3)
(case 4)
(case 5)
(case 6)
//******************************************************************************    
  )// ends switch
  (send (Prop:new()):view((send gEgo:view))loop((send gEgo:loop))// add ego to bground
   	               cel((send gEgo:cel))posn((send gEgo:x) (send gEgo:y))
   	               setPri((send gEgo:priority))z((send gEgo:z))addToPic())
  = doInventory FALSE // reset the global varible that brought us here

  = newItemX firstItemX // prepares our first x position
  = newItemY firstItemY // prepares our first y position

  (lookInv:setPri(15)posn(placeMenuX placeMenuY)init())// look button
  += placeMenuX spacerMenuX                          

  (useInv:setPri(15)posn(placeMenuX placeMenuY)init())// hand button
  += placeMenuX spacerMenuX         

  (if(== allowTalk TRUE)
  (talkInv:setPri(15)posn(placeMenuX placeMenuY)init())// talk button
  += placeMenuX spacerMenuX
  )
  
  (if(== allowInvblock TRUE)                           // selected Item block
  = spacerMenublock (/ (- sizeMenublock spacerMenuX) 2)// actually decides extra space needed  	
  += placeMenuX spacerMenublock // apply more space if used	
    (if(== itemIcon 900)        // display no item
    (itemInv:setPri(15)cel(0)posn(placeMenuX placeMenuY)init())// use cel 0
    += placeMenuX spacerMenuX   // prepares the usual space
    )
    (else                       // display selected item
    (itemInv:setPri(15)posn(placeMenuX placeMenuY)cel(itemIcon)init())// use item cel
    += placeMenuX spacerMenuX   // prepares the usual space
    )
  += placeMenuX spacerMenublock// apply the other half of space if used
  )
	        
  (if(== allowTrash TRUE)          
  (dumpInv:setPri(15)posn(placeMenuX placeMenuY)init())
  += placeMenuX spacerMenuX
  )

  (if(== allowHelp TRUE)
  (helpInv:setPri(15)posn(placeMenuX placeMenuY)init())
  += placeMenuX spacerMenuX
  )
        
  (okInv:setPri(15)posn(placeMenuX placeMenuY)init())
  (for (= i 1) (<= i totalItems) (++i)
     (switch(i)              
//******************************************************************************
// 2.                                      Check for all inventory items to init
//******************************************************************************
/* To add new item, copy and paste this, Then change the ### to the item's number
********************************************************************************
    (case ### = thisItem inventory###)  
*******************************************************************************/
       (case 1 = thisItem inventory1)
       (case 2 = thisItem inventory2)
       (case 3 = thisItem inventory3)
       (case 4 = thisItem inventory4)
       (case 5 = thisItem inventory5)
       (case 6 = thisItem inventory6)
       (case 7 = thisItem inventory7)
       (case 8 = thisItem inventory8)
       (case 9 = thisItem inventory9)
       (case 10 = thisItem inventory10)
   	  	    	  	  
//******************************************************************************       
     )// end switch
	 (if(send gEgo:has(i))(send thisItem:setPri(15)init())
     (if(>= newItemX maxItemX) += newItemY spacerItemY = newItemX firstItemX)
  	 (send thisItem: x (newItemX) y (newItemY))   += newItemX spacerItemX)
    )//end for loop
  (self:setScript(RoomScript))
  )// ends method (init)
)// ends instance public
//******************************************************************************
// 3.                              Create Instances for all inventory items here
//******************************************************************************
/* To add new item, copy and paste this, Then change the ### to the item's number
********************************************************************************
(instance inventory### of Prop(properties view 950 loop 9 cel ### x 400 y 400))
*******************************************************************************/

(instance inventory1 of Prop(properties view 950 loop 5 cel 1 x 400 y 400))
(instance inventory2 of Prop(properties view 950 loop 5 cel 2 x 400 y 400))
(instance inventory3 of Prop(properties view 950 loop 5 cel 3 x 400 y 400))
(instance inventory4 of Prop(properties view 950 loop 5 cel 4 x 400 y 400))
(instance inventory5 of Prop(properties view 950 loop 5 cel 5 x 400 y 400))
(instance inventory6 of Prop(properties view 950 loop 5 cel 6 x 400 y 400))
(instance inventory7 of Prop(properties view 950 loop 5 cel 7 x 400 y 400))
(instance inventory8 of Prop(properties view 950 loop 5 cel 8 x 400 y 400))
(instance inventory9 of Prop(properties view 950 loop 5 cel 9 x 400 y 400))
(instance inventory10 of Prop(properties view 950 loop 5 cel 10 x 400 y 400))




//******************************************************************************
(instance RoomScript of Script
(properties)
  (method (doit)
  (super:doit())  
    (if(== started_up FALSE)      // When we first get here, we want to switch cursors
    	= gCurrentCursor 995      // Change our global variable first
        SetCursor(995 HaveMouse())// Now change cursor to the hand, Sierra does the arrow
        = started_up TRUE         // Now we change started_up so this doesnt keep happening
    )   
    (if(== started_up TRUE)   // Depending on which cursor, highlight button
     (switch(gCurrentCursor)  // look, get, talk, or selected item
        (case itemIcon        // check our item selected
        	 (if(== itemIcon 900) // if no item selected
			 )	                  // do nothing
        	 (else	
        	 	(lookInv:loop(0))(useInv:loop(0)) (itemInv:loop(3) cel(itemIcon))
        	 	(if(== allowTalk TRUE)(talkInv:loop(0)))  
        	 )
		)	
        (case 995  (if(== allowTalk TRUE)(talkInv:loop(0))) 
        	       (lookInv:loop(0)) (useInv:loop(1)) (itemInv:loop(2)) )// hand
        (case 996  (talkInv:loop(1)) 
        	       (lookInv:loop(0)) (useInv:loop(0)) (itemInv:loop(2)) )// talk
        (case 998  (if(== allowTalk TRUE)(talkInv:loop(0))) 
        	       (lookInv:loop(1)) (useInv:loop(0)) (itemInv:loop(2)) )// look
       ) // ends switch         
    )
(if(== inv_mode FALSE)                  // Decides When to switch back to last room
      (if(not(== gCurrentCursor itemIcon))  // If no item selected
      SetCursor(gPreviousCursor HaveMouse())// revert back to previous cursor
      = gCurrentCursor gPreviousCursor      // make it happen
      )
    UnLoad(rsPIC scriptNumber)              // In order to get all our memory back that we
    UnLoad(rsSCRIPT scriptNumber)           // used by coming here, lets go ahead and UnLoad
    UnLoad(rsTEXT scriptNumber)             // all of the resources we utilised
    UnLoad(rsVIEW 950)            // All Inventory views 
    UnLoad(rsTEXT 501)            // Inventory Instructions, help and other misc.
    UnLoad(rsCURSOR 998)          // look cursor
    UnLoad(rsCURSOR 997)          // loading cursor
    UnLoad(rsCURSOR 996)          // talk cursor  
    UnLoad(rsCURSOR 995)          // get cursor
    (for (= i 1) (<= i totalItems) (++i)
      UnLoad(rsCURSOR i)
    )
    UnLoad(rsVIEW 0)
//******************************************************************************
// 4.                      Unload all possible Inventory room views
//******************************************************************************
    UnLoad(rsVIEW 301)
    UnLoad(rsVIEW 302)
    UnLoad(rsVIEW 303)
    UnLoad(rsVIEW 304)
    UnLoad(rsVIEW 305)
    UnLoad(rsVIEW 306)

//*******************************************************************************
    UnLoad(rsVIEW 0)
    (send gRoom:newRoom(gPreviousRoomNumber)) // go back to room we came from
    ) // ends if inv_mode FALSE
  ) // end method (doit)
  (method (handleEvent pEvent)
  (super:handleEvent(pEvent))
    (if(==(send pEvent:type())evMOUSEBUTTON)
     (if(& (send pEvent:modifiers) emRIGHT_BUTTON)// handles the mouses right clicks
       (send pEvent:claimed(TRUE))                // used solely to cycle through cursor
       (switch(gCurrentCursor)                    // options mainly look, get, last item
        (case itemIcon  SetCursor(998 HaveMouse()) = gCurrentCursor 998)    // change item to eye
        (case 998 SetCursor(995 HaveMouse()) = gCurrentCursor 995)          // change eye to hand
        (case 995 
          (if(== allowTalk TRUE)
		  SetCursor(996 HaveMouse()) = gCurrentCursor 996 // change hand to mouth
		  )	
		  (else
		      (if(== itemIcon 900) // no item selected
			  SetCursor(998 HaveMouse()) = gCurrentCursor 998 // change hand to eye
			  )
			  (else
			  SetCursor(itemIcon HaveMouse()) = gCurrentCursor itemIcon // change hand to item
        	  )
		  )	  
		)
		(case 996
			(if(== itemIcon 900) // no item selected
			  SetCursor(998 HaveMouse()) = gCurrentCursor 998 // change mouth to eye
			  )
			  (else
			  SetCursor(itemIcon HaveMouse()) = gCurrentCursor itemIcon // change mouth to item
        	  )
		)
       ) // ends switch
     ) // ends if right buton 
       (if(not(& (send pEvent:modifiers) emRIGHT_BUTTON))// handles the mouses left clicks
       	(for (= i 1) (<= i totalItems) (++i)  
     (switch(i)
//*****************************************************************************
// 5.                                    Generate inventory item variables here
/******************************************************************************
// Similar to section 2, for each item, the item instance name must be declared as thisItem,
// Except now we take it a couple of steps further... If there is a variable displayed as part
// of the printed text, declare it as thisVariable and it will be brought into the look print
// statement. As well, the Item title displayed as part of the print statement should be declared as
// thisTitle. Simply copy and paste the following line and the insert values.
//***************************************************************************** 
      (case ### = thisItem inventory###    = thisVariable none         = thisTitle "Display")
//*****************************************************************************/ 

       (case 1 = thisItem inventory1            = thisTitle "Flashlight")
       (case 2 = thisItem inventory2            = thisTitle "Flashlight")
       (case 3 = thisItem inventory3            = thisTitle "Rotting Ham")
       (case 4 = thisItem inventory4            = thisTitle "Rotting Turkey")
       (case 5 = thisItem inventory5            = thisTitle "Ketchup")
       (case 6 = thisItem inventory6            = thisTitle "Lettuce")
       (case 7 = thisItem inventory7            = thisTitle "Salad")
       (case 8 = thisItem inventory8            = thisTitle "Intimate Personal Massager")
       (case 9 = thisItem inventory9            = thisTitle "Intimate Personal Massager")
       (case 10 = thisItem inventory10          = thisTitle "Batteries")

//***************************************************************************************       
	 )
	 
     // check if i is a special case value
     = isSpecial FALSE
     (for (= a 0) (< a 10) (++a) // ***************************** reflect size of specialCase array !!!!!!!!!!
     	(if(== specialCase[a] i)
     	= isSpecial TRUE
		)
	 )
  (if(not(isSpecial))	 
  (if((> (send pEvent:x)(send thisItem:nsLeft))and // item ### 
      (< (send pEvent:x)(send thisItem:nsRight))and
      (> (send pEvent:y)(send thisItem:nsTop))and
      (< (send pEvent:y)(send thisItem:nsBottom)))
      (switch(send thisItem:cel)
      	(case 0 )// cel 0, probly been dropped
      	(case i  // its there and waiting
          (switch(gCurrentCursor)
            (case 998 Print(500 i #title thisTitle #icon 950 4 i #time 15 ))// look
            (case 995 SetCursor(i HaveMouse())// get
                      = itemIcon i
                      = gCurrentCursor i)
            (case i Print(501 0)) // itself                
            (default Print(501 10)) // other items
          )// end current cursor switch
		)// end cel case
      )// end inventory cel switch
  )// ends click on view 
  )// ends not special...
)// ends for loop
// List interactions for the special cases here...
//***************************************************************************************
//
//***************************************************************************************
  (if((> (send pEvent:x)(inventory1:nsLeft))and // item ### 
      (< (send pEvent:x)(inventory1:nsRight))and
      (> (send pEvent:y)(inventory1:nsTop))and
      (< (send pEvent:y)(inventory1:nsBottom)))
      (switch(inventory1:cel)
      	(case 0 )// cel 0, probly been dropped or used already... same visit
      	(case 1  // its there and waiting
          (switch(gCurrentCursor)
            (case 998 Print(500 1 #title "Flashlight" #icon 950 4 1 #time 15 ))// look
            (case 995 SetCursor(1 HaveMouse())// get
                      = itemIcon 1
                      = gCurrentCursor 1)
            (case 1 Print(501 0)) // itself
            (case 10 Print("You put your industrial strength batteries into the flashlight.") // Batteries                
                     (send gEgo:put(1))
                     (send gEgo:put(10))
                     (send gEgo:get(2))
                     = gotLiveFlashlight TRUE 
                     (send gGame:changeScore(3))
                     (inventory1:cel(2))
                     (inventory10:cel(0))
                     SetCursor(995 HaveMouse())// get
                      = itemIcon 900
                      = gCurrentCursor 995              
                      (itemInv:cel(0))// change menu block to blank
                      (if(== lightLevel 0) // If the lights are off, turn on the flashlight.
                      	 = lightLevel 1
                      	 Print("It seems to make things a little better.")
					  )
			)
            (default Print(501 10)) // other items
          )// end current cursor switch
		)// end cel case
		(case 2 // It has already been changed... this same visit 
          (switch(gCurrentCursor)
            (case 998 Print(500 2 #title "Flashlight" #icon 950 4 2 #time 15 ))// look
            (case 995 SetCursor(2 HaveMouse())// get
                      = itemIcon 2
                      = gCurrentCursor 2)
            (case 2 Print(501 0)) // itself                 
            (default Print(501 10)) // other items
          )// end current cursor switch
		)
      )// end inventory cel switch
  )// ends click on view
  (if((> (send pEvent:x)(inventory10:nsLeft))and // item ### 
      (< (send pEvent:x)(inventory10:nsRight))and
      (> (send pEvent:y)(inventory10:nsTop))and
      (< (send pEvent:y)(inventory10:nsBottom)))
      (switch(inventory10:cel)
      	(case 0 )// cel 0, probly been dropped or used already... same visit
      	(case 10  // its there and waiting
          (switch(gCurrentCursor)
            (case 998 Print(500 10 #title "Batteries" #icon 950 4 10 #time 15 ))// look
            (case 995 SetCursor(10 HaveMouse())// get
                      = itemIcon 10
                      = gCurrentCursor 10)
            (case 10 Print(501 0)) // itself
            (case 1 Print("You put your industrial strength batteries into the flashlight.") // Batteries                
                     (send gEgo:put(1))
                     (send gEgo:put(10))
                     (send gEgo:get(2))
                     = gotLiveFlashlight TRUE 
                     (send gGame:changeScore(3))
                     (inventory10:cel(2))
                     (inventory1:cel(0))
                     SetCursor(995 HaveMouse())// get
                      = itemIcon 900
                      = gCurrentCursor 995              
                      (itemInv:cel(0))// change menu block to blank
                      (if(== lightLevel 0) // If the lights are off, turn on the flashlight.
                      	 = lightLevel 1
                      	 Print("It seems to make things a little better.")
					  )
			)
            (default Print(501 10)) // other items
          )// end current cursor switch
		)// end cel case
		(case 2 // It has already been changed... this same visit 
          (switch(gCurrentCursor)
            (case 998 Print(500 2 #title "Flashlight" #icon 950 4 2 #time 15 ))// look
            (case 995 SetCursor(2 HaveMouse())// get
                      = itemIcon 2
                      = gCurrentCursor 2)
            (case 2 Print(501 0)) // itself                 
            (default Print(501 10)) // other items
          )// end current cursor switch
		)
      )// end inventory cel switch
  )// ends click on view

  (if((> (send pEvent:x)(inventory5:nsLeft))and // item ### 
      (< (send pEvent:x)(inventory5:nsRight))and
      (> (send pEvent:y)(inventory5:nsTop))and
      (< (send pEvent:y)(inventory5:nsBottom)))
      (switch(inventory5:cel)
      	(case 0 )// cel 0, probly been dropped or used already... same visit
      	(case 5  // its there and waiting
          (switch(gCurrentCursor)
            (case 998 Print(500 5 #title "Ketchup" #icon 950 4 5 #time 15 ))// look
            (case 995 SetCursor(5 HaveMouse())// get
                      = itemIcon 5
                      = gCurrentCursor 5)
            (case 5 Print(501 0)) // itself
            (case 6 Print("In an attempt to make the lettuce at least a little more appetizing, you empty the ketchup bottle on top of it.") // lettuce                
                     (send gEgo:put(5))
                     (send gEgo:put(6))
                     (send gEgo:get(7))
                     = gotSalad TRUE
                     (send gGame:changeScore(3))
                     (inventory5:cel(7))
                     (inventory6:cel(0))
                     SetCursor(995 HaveMouse())// get
                      = itemIcon 900
                      = gCurrentCursor 995              
                      (itemInv:cel(0))// change menu block to blank
			)
            (default Print(501 10)) // other items
          )// end current cursor switch
		)// end cel case
		(case 7 // It has already been changed... this same visit 
          (switch(gCurrentCursor)
            (case 998 Print(500 2 #title "Ghetto Salad" #icon 950 4 7 #time 15 ))// look
            (case 995 SetCursor(7 HaveMouse())// get
                      = itemIcon 7
                      = gCurrentCursor 7)
            (case 2 Print(501 0)) // itself                 
            (default Print(501 10)) // other items
          )// end current cursor switch
		)
      )// end inventory cel switch
  )// ends click on view

  (if((> (send pEvent:x)(inventory6:nsLeft))and // item ### 
      (< (send pEvent:x)(inventory6:nsRight))and
      (> (send pEvent:y)(inventory6:nsTop))and
      (< (send pEvent:y)(inventory6:nsBottom)))
      (switch(inventory5:cel)
      	(case 0 )// cel 0, probly been dropped or used already... same visit
      	(case 6  // its there and waiting
          (switch(gCurrentCursor)
            (case 998 Print(500 6 #title "Lettuce" #icon 950 4 6 #time 15 ))// look
            (case 995 SetCursor(6 HaveMouse())// get
                      = itemIcon 6
                      = gCurrentCursor 6)
            (case 6 Print(501 0)) // itself
            (case 5 Print("In an attempt to make the lettuce at least a little more appetizing, you empty the ketchup bottle on top of it.") // lettuce                
                     (send gEgo:put(5))
                     (send gEgo:put(6))
                     (send gEgo:get(7))
                     = gotSalad TRUE
                     (send gGame:changeScore(3))
                     (inventory6:cel(7))
                     (inventory5:cel(0))
                     SetCursor(995 HaveMouse())// get
                      = itemIcon 900
                      = gCurrentCursor 995              
                      (itemInv:cel(0))// change menu block to blank
			)
            (default Print(501 10)) // other items
          )// end current cursor switch
		)// end cel case
		(case 7 // It has already been changed... this same visit 
          (switch(gCurrentCursor)
            (case 998 Print(500 2 #title "Ghetto Salad" #icon 950 4 7 #time 15 ))// look
            (case 995 SetCursor(7 HaveMouse())// get
                      = itemIcon 7
                      = gCurrentCursor 7)
            (case 2 Print(501 0)) // itself                 
            (default Print(501 10)) // other items
          )// end current cursor switch
		)
      )// end inventory cel switch
  )// ends click on view

//*****************************************************************************/
   (if((> (send pEvent:x) (lookInv:nsLeft))and// Clicks on the look button
      (< (send pEvent:x) (lookInv:nsRight))and
      (> (send pEvent:y) (lookInv:nsTop))and
      (< (send pEvent:y) (lookInv:nsBottom)))
     SetCursor(998 HaveMouse())
     = gCurrentCursor 998
   ) // ends if look

   (if((> (send pEvent:x) (talkInv:nsLeft))and// Clicks on the talk button
      (< (send pEvent:x) (talkInv:nsRight))and
      (> (send pEvent:y) (talkInv:nsTop))and
      (< (send pEvent:y) (talkInv:nsBottom)))
     SetCursor(996 HaveMouse())
     = gCurrentCursor 996
   ) // ends if look   

   (if((> (send pEvent:x) (useInv:nsLeft))and// clicks on use button
      (< (send pEvent:x) (useInv:nsRight))and
      (> (send pEvent:y) (useInv:nsTop))and
      (< (send pEvent:y) (useInv:nsBottom)))
      SetCursor(995 HaveMouse())
      = gCurrentCursor 995
   ) // ends if use

   (if((> (send pEvent:x) (itemInv:nsLeft))and// clicks on item button in menu
      (< (send pEvent:x) (itemInv:nsRight))and
      (> (send pEvent:y) (itemInv:nsTop))and
      (< (send pEvent:y) (itemInv:nsBottom)))
      (if(== itemIcon 900)Print(500 0)) // no item selected
   	  (else	// item is in menu 
      SetCursor(itemIcon HaveMouse())
      = gCurrentCursor itemIcon
	  )// end else item is in menu     
   ) // ends if click on itemblock in menu    
   
// clicks on trash button
   (if((> (send pEvent:x) (dumpInv:nsLeft))and
      (< (send pEvent:x) (dumpInv:nsRight))and
      (> (send pEvent:y) (dumpInv:nsTop))and
      (< (send pEvent:y) (dumpInv:nsBottom)))
      (dumpInv:setScript(doThedump))
    ) // ends click on trash
// clicks on help button
   (if((> (send pEvent:x) (helpInv:nsLeft))and
      (< (send pEvent:x) (helpInv:nsRight))and
      (> (send pEvent:y) (helpInv:nsTop))and
      (< (send pEvent:y) (helpInv:nsBottom)))
      (helpInv:setScript(doThehelp))
   )// ends click on help

// clicks on ok button
   (if((> (send pEvent:x) (okInv:nsLeft))and
      (< (send pEvent:x) (okInv:nsRight))and
      (> (send pEvent:y) (okInv:nsTop))and
      (< (send pEvent:y) (okInv:nsBottom)))
      (okInv:setScript(doTheok))
    ) // ends click on ok
   ) // ends else left mousebutton
  ) // ends mousebutton
 ) // ends method
) // end instance
(instance doThehelp of Script
(properties)
  (method (changeState newState)
  = state newState
    (switch (state)
      (case 0 (helpInv:loop(1))
      	      = cycles 3)
      (case 1
      	      Print(501 2 #title "Inventory Help")  //describes look
              Print(501 3 #title "Inventory Help")  //describes selecting item
              Print(501 4 #title "Inventory Help")  //describes mixing items
              (if(== allowTrash TRUE)Print(501 5 #title "Inventory Help"))// describes trash
              Print(501 6 #title "Inventory Help")// click on ok to return to game
              = cycles 3
	  )
      (case 2 (helpInv:loop(0)))
    ) // switch end
  ) // end method
) // end instance
(instance doTheok of Script
(properties)
  (method (changeState newState)
  = state newState
    (switch (state)
      (case 0 (okInv:loop(1)) = cycles 3)
      (case 1 = inv_mode FALSE)
    ) // switch end
  ) // end method
)
(instance doThedump of Script
(properties)
  (method (changeState newState)
  = state newState
    (switch (state)
      (case 0 (dumpInv:loop(1)) = cycles 3)
      (case 1 (switch(gCurrentCursor)
      		   (case 998 Print(501 11 #title "Trash"))// look
               (case 995 Print(501 12 #title "Trash"))// hand
               (case 996 Print(501 15 #title "Trash"))// talk
			   (case itemIcon
                     (switch(itemIcon)
//*****************************************************************************
// 6.                                         Add case if item is not droppable
//*****************************************************************************                     	
//(case ### = dropAble 0 )
 (case 1 = dropAble 0 )                     
 
 
 
//****************************************************************************                     
 (default  = dropAble 1) // by default it will be dropped
                     )// end itemicon switch
                     (switch(dropAble)// Now that dropable has been checked by the above switch, lets see what happens
                     (case 0 Print("You are probably going to need that.")) // not dropable
                     (case 1 // it is dropAble, last chance to change your mind
                        (if(Print(501 1 #title "Dump" #font gDefaultFont #button "Positive" 1 #button "No Way" 0))
                        (switch(itemIcon)
//*****************************************************************************
// 7.                                        Item got dropped, so get rid of it
//***************************************************************************** 
//(case ### (inventory###: cel(0))(send gEgo:put(###)))
(case 1 (inventory1: cel(0))(send gEgo:put(1)))




//*****************************************************************************                	
                        )// end switch
			            // is item they dropped the cursor they brought in
                        (if(== gPreviousCursor gCurrentCursor)
                        = gPreviousCursor 999 // if so change old cursor to walking
			            )                        // in case they leave empty handed   
                        (send gEgo:put(itemIcon))// dropped it
                        SetCursor(995 HaveMouse())
                        = gCurrentCursor 995
                        = itemIcon 900 // no item selected now               
                        (itemInv:cel(0))// change menu block to blank
       		            )// ends if click yes, wow they realy dropped something?
				)
			  )// ends dropable switch   
      	       )// ends itemicon case
	           )// ends clicks with current cursor
	  = cycles 3
	  )
      (case 2 (dumpInv:loop(0))) 
    ) // switch end
  ) // end method
)
(instance itemInv of Prop(properties x 400 y 400 view 950 loop 2 cel 0))
(instance talkInv of Prop(properties x 400 y 400 view 950 loop 0 cel 1))
(instance lookInv of Prop(properties x 400 y 400 view 950 loop 0 cel 2))
(instance dumpInv of Prop(properties x 400 y 400 view 950 loop 0 cel 12))
(instance useInv of Prop(properties x 400 y 400 view 950 loop 0 cel 3))
(instance helpInv of Prop(properties x 400 y 400 view 950 loop 0 cel 10))
(instance okInv of Prop(properties x 400 y 400 view 950 loop 0 cel 11))