//******************************************************************************
// main.sc
// Contains the game's main instance and inventory items.
//******************************************************************************
(include "sci.sh")(include "game.sh")                      (script MAIN_SCRIPT)
//******************************************************************************
(use "controls")(use "sound")(use "user")(use "cycle")(use "game")(use "inv")
(use "menubar")(use "feature")(use "obj")(use "disposeload")(use "syswindow")
//******************************************************************************
//* These are the global variables. You can access them from any script
//******************************************************************************
(local
	gEgo					/* points to the ego's class */
	gGame					/* points to the game instance */
	gRoom					/* points to the current room instance */
	gSpeed 					/* the game speed (delay each interpreter cycle) */
	gQuitGame = FALSE		/* if set to TRUE, the game will exit */
	
	gCast					/* points to the cast class (list of actors) */
	gRegions				/* points to the regions class (list of regions) */
	gLocales 				/* points to the locales class (list of locales) */
	gTimers					/* points to the timers class (list of timers) */
	gSounds					/* points to the sounds class (list of sounds) */
	gInv					/* points to the inventory class */
	gAddToPics				/* points to the add to pics class */
	gFeatures				/* points to the add to features class */		
	gSFeatures				/* points to the add to sfeatures class */
	
	gRoomNumberExit			/* room number exit */
	gPreviousRoomNumber		/* the number of the previous room */
	gRoomNumber				/* the number of the current room */ 
	gDebugOnExit = FALSE	/* enter debug mode on room exit */ 
	
	gScore = 0				/* the game score */		
	gMaxScore = 99			/* the maximum game score */
	gOldScore				/* previous score */
	
	gCurrentCursor			/* the number of the current cursor */
	gNormalCursor = 999		/* the number of the normal cursor (ie. arrow) */
	gLoadingCursor = 997	/* the number of the loading cursor (ie. hand) */

//**********************************************************************
// added for point & click
//**********************************************************************
    nextRoom = 0
    battleRoom = 0
    doBattle = FALSE
    
    gLayout = 1             // Where do you want your menu
                            // 0 ever present on top, 1 peekaboo up top, 2 ever present on bottom
    gGameTitle
    yPosition = 400         // where our peekaboo menu is at
    movingButtons = 0    // 0 = not moving, 1 = moving down, 2 = moving up 
          
	gPreviousCursor=999         // Used when leaving inventory screen empty handed
	
	itemIcon = 900          // cursor number of inventory item last selected
    
    canTab = TRUE           // Allow the inventory room
    doInventory = FALSE     // Allows easy communication between scripts, go to inventory
    
    goToRoom
    sGauge                  // game speed guage name
    vGauge                  // volume guage name
    pncSpeed                // speed set with guage
    pncVolume               // volume set with guage
    
	totalItems = 14      // Current number of inventory items
    firstItemX = 144     // the x position of first row of items
    firstItemY = 157     // the y position of first row of items 
    spacerItemX = 26     // the amount the x position changes from item to item.. (width+2)
    spacerItemY = 24     // the amount the y position changes from row to row..   (height+1) 
    maxItemX = 310       // the maximum x position before starting new row of items
    
    newItemX
    newItemY
    i
    a
    thisItem
    thisTitle
    isSpecial
    specialCase[5] = (1 10 8 5 6)
    
    
    lightLevel = 0
    egoHealth = 10
    handicapLevel = 0
    knowCombination = FALSE
    combo1 = 0
    combo2 = 0
    combo3 = 0
    
    // Door Variables
    clockFaceOpen = FALSE // room 1 clock top
    closetOpen = FALSE // room 1 closet
    fridgeOpen = FALSE // room 5 fridge
    bedroomOpen = FALSE // room 5 to bedroom
    basementOpen = FALSE // room 5 to basement
    microwaveOpen = FALSE // room 5 microwave
    closetOpen = FALSE // room 6 closet
    fuseboxOpen = FALSE 
    bedroomClosetOpen = FALSE // room1, 6
    pictureOpen = FALSE
    safeOpen = FALSE
    caughtSandy = FALSE
    blindedSandy = FALSE
    finalShowdown = FALSE
    
    
    // Item Variables
    gotSalad = FALSE // 7
    gotLiveFlashlight = FALSE // 2
    gotLiveDildo = FALSE // 8
    gotDeadDildo = FALSE // 9
    gotPerfume = FALSE // 11
    gotKetchup = FALSE // 5
    gotLettuce = FALSE // 6  
    gotDeadFlashlight = FALSE // 1
    gotBatteries = FALSE // 10
    gotBreakerKey = FALSE //12
    gotTurkey = FALSE // 4
    gotHam = FALSE // 3
    gotFuses = FALSE // 13
    gotWire = FALSE // 
    
    item1Room = 0   
    item2Room = 0   
    item3Room = 0   
    item4Room = 0   
    item5Room = 0   
    item6Room = 0   
    item7Room = 0   
    item8Room = 0   
    item9Room = 0   
    item10Room = 0   
    item11Room = 0   
    item12Room = 0   
    item13Room = 0 
    
    electrocuted = FALSE
    numberOfAttacks = 0
    deathBy = 0 // 1 electrocution,
    
//**********************************************************************
	gDefaultFont = 1		/* the number of the default font */
	gSaveRestoreFont = 0	/* the number of the font for the save/restore dialogs*/
	gDeadFont = 0			/* the number of the font for the dialog when ego dies */
	
	gUserEvent				/* points to the user's event object */
	gPrintDlg				/* points to the current Print() window */
	gVolume					/* the sound volume */
	gVersion				/* the version string */
	gSaveDirPtr				/* points to the save directory string */
	gCheckAniWait			/* the checkAni delay */
	gSetRegions				/* a flag -- see User:doit() */
	
	gPicAngle				/* the room's pic angle */
	gOverlay = -1			/* whether to overlay the picture when drawing */
	gDefaultPicAni			/* the default pic animation */
	gDefaultPalette			/* the default palette to use for the pictures (0-3) */
	gCastMotionCue			/* if set, the cast's motionCue() is called */
	
	gTheWindow				/* points to the window class */
	gWndColor				/* the colour of the game's windows foreground (ie. text) */
	gWndBack				/* the colour of the game's windows background */

	gOldPort				/* the previous port */
	
	gEgoView				/* ego's current view number */
	
	/* hh:mm:ss | gTimeHours:gTimeMinutes:gTimeSeconds */
	/* the time elapsed since the game started */
	gTimeSeconds			/* the seconds */
	gTimeMinutes			/* the minutes */
	gTimeHours				/* the hours */
	
	gCurrentTime				/* the current time in seconds */
	
	gTheMusic				/* points to the music class */
	gTheSoundFX				/* points to the sound fx class */
	gProgramControl 		/* states whether the program has control or the user */
)
/******************************************************************************/
(instance public Manic of Game
	(properties)
	(method (init)
        // Set up the base window
		= gTheWindow theWindow
		= gWndColor clBLACK
		= gWndBack clWHITE
		(send gTheWindow:
			color(gWndColor)
		    back(gWndBack)
		)

        // Initialize
		(super:init())

        /******************************
         * Set your game version here *
         ******************************/
        =  gGameTitle "Manic Mansion" 
		= gVersion "1.0"
		    
		// General initialization stuff
	    = gVolume 15
	    DoSound(sndVOLUME gVolume)
		    
	    (SL:code(statusCode))
	    (TheMenuBar:init())
	    
	    (scoreSound:
	    	owner(self)
	    	init()
	    )
	    = gTheMusic theMusic
	    (send gTheMusic:
	    	owner(self)
	    	init()
	    )
		= gTheSoundFX theSoundFX
	    (send gTheSoundFX:
	    	owner(self)
	    	init()
	    )
	    
	    = gEgo ego
	    (User:
	    	alterEgo(gEgo)
	    	blocks(0)
	    	y(150)
	    )
			
	//	Load(rsFONT		gDeadFont)
	//	Load(rsFONT		gDefaultFont)
	//	Load(rsFONT		gSaveRestoreFont)
	
	//	Load(rsCURSOR	gNormalCursor)
	//	Load(rsCURSOR	gLoadingCursor)
			
	    (if(HaveMouse())
	    	(send gGame:setCursor(gNormalCursor SET_CURSOR_VISIBLE))
		)(else
	    	(send gGame:setCursor(gNormalCursor SET_CURSOR_VISIBLE 304 174))
		)
			
//*************************************************
//* Initialize the inventory with it's items here *
//*************************************************
(Inv:add(
		{Nothing}
		{FLASHLIGHT}
		{FLASHLIGHTWITHBATTERIES}
		{HAM}
		{TURKEY}
		{KETCHUP}
		{LETTUCE}
		{SALAD}
		{DILDOWITHBATTERIES}
		{WIRE}
		{BATTERIES}
		{PERFUME}
		{FUSEKEY}
		{FUSES}
		{CHALICE}
		)
)		
//*************************************************			
		// Start the room
		(if(GameIsRestarting())
	    	(self:newRoom(INITROOMS_SCRIPT))
	    )(else
	    	(self:newRoom(TITLESCREEN_SCRIPT))
		)
	)
	(method (doit)
	(super:doit())	

		
	//	(if(gProgramControl)
	//		(User:
	//			canControl(FALSE)
	//			canInput(FALSE)
	//		)
	//	)
	//	(if(<> gCurrentTime (= gCurrentTime GetTime(gtTIME_OF_DAY)))
	//	    (if(>= ++gTimeSeconds 60)
	//	    	= gTimeSeconds 0
	//	    	++ gTimeMinutes
	//	    	(if(>= gTimeMinutes 60)
	//	    		= gTimeMinutes 0
	//	    		++ gTimeHours
	//	    	)
	//		)
	//	)
  	//	(if(> gOldScore gScore)
	//	    	= gOldScore gScore
	//			(SL:doit())
	//	)
	//	(if(< gOldScore gScore)
	//	    = gOldScore gScore
	//		(SL:doit())
	//	)
	)
	(method (replay)
  		(TheMenuBar:draw())
  		(SL:enable())
  		
  	//	(if(DoSound(sndSET_SOUND))
	//	    SetMenu(MENU_TOGGLESOUND #text "Turn Off")
	//	)(else
	//	    SetMenu(MENU_TOGGLESOUND #text "Turn On")
	//	)
		(super:replay())
	)
	(method (newRoom roomNum picAni)
  			DisposePrintDlg()
  	//		Load(rsFONT		gDeadFont)
  	//		Load(rsFONT		gDefaultFont)
  	//		Load(rsFONT		gSaveRestoreFont)

  	//		Load(rsCURSOR	gNormalCursor)
  	//		Load(rsCURSOR	gLoadingCursor)
     
			(super:newRoom(roomNum))
			(if(< paramTotal 2)
				= gDefaultPicAni Random(0 5)
			)(else
				= gDefaultPicAni picAni
			)
	)
	(method (startRoom roomNum)
		DisposeLoad(
			NULL
			FILEIO_SCRIPT JUMP_SCRIPT EXTRA_SCRIPT WINDOW_SCRIPT
		        TIMER_SCRIPT FOLLOW_SCRIPT REV_SCRIPT DCICON_SCRIPT
		        DOOR_SCRIPT AUTODOOR_SCRIPT WANDER_SCRIPT AVOID_SCRIPT
		        PNC_SCRIPT GAUGE_SCRIPT SCIAUDIO_SCRIPT

        )
		DisposeScript(DISPOSELOAD_SCRIPT)
		//(if(gDebugOnExit)
		//	= gDebugOnExit FALSE
		//	SetDebug()
		//)
		(send gTheSoundFX:
			stop()
			number(1)
		)
		(super:startRoom(roomNum))
		//(if(== gTheSoundFX 11)
		// 	(send gEgo:baseSetter(NormalBase))
		//)
	)
	(method (changeScore addScore)
		= gScore + gScore addScore
		(SL:doit())
		(if(> addScore 0)
			(scoreSound:playMaybe())
		)
	)
  (method (handleEvent pEvent)
   (if (== evKEYBOARD (send pEvent:type))
     (switch (send pEvent:message)
   //  (case $09 // tab
   //    (if(== canTab TRUE)
   //    	(if(<> gRoomNumber 500)
   //	   	  = gPreviousCursor gCurrentCursor
   //       = doInventory TRUE
   //		)
   //		(else Print(950 28))         
   //      )
   //    (else Print(950 27))
   //  )
     (case $1000 // alt - q // Quit
       (if(Print(950 26 #title "Quit"  #font gDefaultFont #button " Quit " 1 #button " Oops " 0))
       = gQuitGame TRUE	
       )
     )
     (case $1f00 // alt-s // Save
	//   (if(== canTab TRUE)
	//   	(if(<> gRoomNumber 500)
	   		(send gGame:save())
	//	)
	//	(else Print(950 29))
	//   )
    //   (else Print(950 27))	
	 )

//*****************************************************************************	 
//* This is debug functionality. Comment out if you don't want people to cheat!
//*****************************************************************************
	            // Check for ALT keys
	      //      (case $2f00 // alt-v
	      //         Show(1) // Show visual
	      //      )
	      //      (case $2e00 // alt-c
	      //         Show(4) // Show control
	      //      )
	      //      (case $1900 // alt-p
	      //         Show(2) // Show priority
	      //      )
	      //      (case $3200 // alt-m
	      //         // Show memory usage
	      //            ShowFree()
	      //            FormatPrint(
	      //                "Free Heap: %u Bytes\nLargest ptr: %u Bytes\nFreeHunk: %u KBytes\nLargest hunk: %u Bytes"
	      //                MemoryInfo(miFREEHEAP)
	      //                MemoryInfo(miLARGESTPTR)
	      //                (>> MemoryInfo(miFREEHUNK) 6)
	      //                MemoryInfo(miLARGESTHUNK)
	      //            )
	      //      )
	      //      (case $1400 // alt-t
	      //         // teleport to room
	      //              (send gRoom:newRoom(GetNumber("Which Room Number?")))
	      //      )
	      //      (case $1700 // alt-i
	      //         // get inventory
	      //         (send gEgo:get(GetNumber("Which inventory#?")))
	      //      )
	      //      (case $2000 // alt-d
	      //         // Display cast
	      //         (send gCast:eachElementDo(#showSelf))
	      //      )
	         )
	      )

//*****************************************************************************
//     End of debug functionality                    
//****************************************************************************/  
		(super:handleEvent(pEvent))
		(if((<> (send pEvent:type) evSAID) or (send pEvent:claimed))
		    return(TRUE)
		)

        /***********************************/
        /* Add global said statements here */
        /***********************************/
        
//        (if(Said('hi'))
//            Print("Well hello to you too!")
//            Print("Uhm, how did you do that?")
//        )
  
  
//		return(FALSE)
  	)
)
/******************************************************************************/
(class Iitem of InvI
	(properties
		said 0
		description 0
		owner 0
		view 0
		loop 0
		cel 0
		script 0
	)
	(method (showSelf)
		Print(
            description 500 // added 500, all inventory descriptions in text resource 500
			#title objectName
			#icon view loop cel
		)
	)
)
/******************************************************************************/
(instance statusCode  of Code
	(properties)
 	(method (doit param1)
  		Format(param1 " Score: %d of %-3d                      %s " gScore gMaxScore gGameTitle)
 	)
)
/******************************************************************************/
(instance ego of Ego
	(properties
		y 1111
		x 0
		z 0
		heading 0
		yStep 2
		view 0
		loop 0
		cel 0
		priority 0
		underBits 0
		signal $2000
		nsTop 0
		nsLeft 0
		nsBottom 0
		nsRight 0
		lsTop 0
		lsLeft 0
		lsBottom 0
		lsRight 0
		brTop 0
		brLeft 0
		brBottom 0
		brRight 0
		cycleSpeed 0
		script 0
		cycler 0
		timer 0
		illegalBits $8000
		xLast 0
		yLast 0
		xStep 3
		moveSpeed 0
		blocks 0
		baseSetter 0
		mover 0
		looper 0
		viewer 0
		avoider 0
		edgeHit 0
	)
)
/******************************************************************************/
(instance scoreSound of Sound
	(properties
		state 0
		number SCORE_SOUND
		priority 10
		loop 1
		handle 0
		signal 0
		prevSignal 0
		client 0
		owner 0
	)
)
/******************************************************************************/
(instance theMusic  of Sound
	(properties
		state 0
		number 1
		priority 0
		loop 1
		handle 0
		signal 0
		prevSignal 0
		client 0
		owner 0
	)
)
/******************************************************************************/
(instance theSoundFX  of Sound
	(properties
		state 0
		number 1
		priority 5
		loop 1
		handle 0
		signal 0
		prevSignal 0
		client 0
		owner 0
	)
)
/******************************************************************************/
(instance theWindow  of SysWindow
	(properties)
	(method (open)
		(if(< Graph(grGET_COLOURS) 9)
			(if( (< color 7) or (== color 8) )
				= color 0
				= back  15
			)(else
				= color 15
				= back  0
			)
  		)
  		(super:open())
	)
)
/******************************************************************************/
(instance NormalBase of Code
	(properties)
	(method (doit)
		(var temp0)
		//(if(== gRoomNumberExit 253)
		//    = temp0 22
		//)
		//(else
  			= temp0 10
		//)
		(send gEgo:brBottom((+ (send gEgo:y) 1)))
		(send gEgo:brTop((- (send gEgo:brBottom) (send gEgo:yStep))))
		(send gEgo:brLeft((- (send gEgo:x) temp0)))
		(send gEgo:brRight((+ (send gEgo:x) temp0)))
	)
)

/******************************************************************************
 * THE PUBLIC PROCEDURES
 ******************************************************************************/
(procedure public (SetUpEgo theLoop theView)
	PlayerControl()
	(send gEgo:edgeHit(EDGE_NONE))
	(switch(paramTotal)
		(case 0 SetUpActor(gEgo (send gEgo:loop) gEgoView))
  		(case 1 SetUpActor(gEgo theLoop gEgoView))
  		(case 2 SetUpActor(gEgo theLoop theView))
	)
)
/******************************************************************************/
(procedure public (SetUpActor pActor theLoop theView)
	(if(> paramTotal 1)
		(send pActor:loop(theLoop))
	)
	(if(> paramTotal 2)
		(send pActor:view(theView))
	)
	(send pActor:
		setLoop(-1)
		setPri(-1)
		setStep(3 2)
		setCycle(Walk)
		illegalBits($8000)
		cycleSpeed(0)
		moveSpeed(0)
		ignoreActors(0)
	)
)

/******************************************************************************/
(procedure public (ProgramControl)
	(User:canControl(FALSE)canInput(FALSE))
	(send gEgo:setMotion(NULL))
	= gProgramControl TRUE
	= canTab FALSE
)
(procedure public (PlayerControl)
	(User:canControl(TRUE)canInput(FALSE))
	(send gEgo:setMotion(NULL))
	= gProgramControl FALSE
	= canTab TRUE
)
/******************************************************************************/
(procedure public (DisposePrintDlg)
	(if(gPrintDlg)
		(send gPrintDlg:dispose())
	)
)
/******************************************************************************/
//(procedure public (PrintOK)Print("O.K."))
//(procedure public (PrintItIs)Print("It is."))
//(procedure public (PrintYouAre)Print("You are."))
//(procedure public (PrintGoodIdea)Print("Good idea. You might try that again later."))
//(procedure public (PrintNotCloseEnough)Print("You're not close enough."))
//(procedure public (PrintAlreadyTookIt)Print("You already took it."))
//(procedure public (PrintDontHaveIt)Print("You don't have it."))
/******************************************************************************/
/*(procedure public (PrintCantDoThat mem)
	(if(> MemoryInfo(miLARGESTPTR) mem)
		return(TRUE)
	)(else
		Print("You can't do that here; at least, not now.")
		return(FALSE)
	)
)
*/
/******************************************************************************/
/*
(procedure public (AddViewToPic pView)
	(var hView)
	(if(pView)
		= hView (View:new())
		(send hView:
		  	view(send pView:view)
			loop(send pView:loop)
			cel(send pView:cel)
			priority(send pView:priority)
			posn( (send pView:x) (send pView:y) )
			addToPic()
		)
		(send pView:
			posn( (send pView:x) (+ 1000 (send pView:y)) )
		)
	)
)
*/
/******************************************************************************/
(procedure public (SetInvIOwner index owner)
(var hInvI)
= hInvI (send gInv:at(index))
  (if(< paramTotal 2)(send hInvI:owner(gRoomNumberExit)))
  (else(send hInvI:owner(owner)))
)
/******************************************************************************
 * THE INVENTORY ITEMS                                                        *
 ******************************************************************************/
(instance Nothing of Iitem(properties))
(instance FLASHLIGHT of Iitem(properties))
(instance FLASHLIGHTWITHBATTERIES of Iitem(properties))
(instance HAM of Iitem(properties))
(instance TURKEY of Iitem(properties))
(instance KETCHUP of Iitem(properties))
(instance LETTUCE of Iitem(properties))
(instance SALAD of Iitem(properties))
(instance DILDOWITHBATTERIES of Iitem(properties))
(instance WIRE of Iitem(properties))
(instance BATTERIES of Iitem(properties))
(instance PERFUME of Iitem(properties))
(instance FUSEKEY of Iitem(properties))
(instance FUSES of Iitem(properties))
(instance CHALICE of Iitem(properties))

/******************************************************************************/

