//******************************************************************************
// PnCMenu.sc
// Contains the script which runs our point and click menu. 
//******************************************************************************
(include "sci.sh")(include "game.sh")                               (script 950)
//******************************************************************************
(use "main")(use "controls")(use "cycle")(use "game")(use "feature")
(use "obj")(use "gauge")
//******************************************************************************
(local
       txtstring[50]        // used to display and update any printed variables
       
       yIconStep = 20        // 1,2,4,5,10,20 are recommended
       howLong = 50         // time allowed before hiding menu

       gShowMenu = FALSE
       doMenuTimer = FALSE // For now, let's just start every room with it closed
       menuTime = 0
)
//******************************************************************************	
(instance public PnCMenu of Rgn
(properties)
  (method (init)
  (super:init())

  (self:setScript(PnCMenuScript))
  // Where do the buttons go? Determined by layout option in main script
  //********************************************************************
  (switch(gLayout)
	(case 0  = yPosition 20
		     (walkIcon:setPri(15)y(yPosition)init())
             (talkIcon:setPri(15)y(yPosition)init())
             (lookIcon:setPri(15)y(yPosition)init())
             (handIcon:setPri(15)y(yPosition)init())
             (invIcon:setPri(15)y(yPosition)init())
             (blockIcon:setPri(14)y(yPosition)init())
             (levelsIcon:setPri(15)y(yPosition)init())
             (restartIcon:setPri(15)y(yPosition)init())
             (loadIcon:setPri(15)y(yPosition)init())
             (saveIcon:setPri(15)y(yPosition)init())
             (quitIcon:setPri(15)y(yPosition)init())
             (if(<> itemIcon 900)(selectedItem:setPri(15)y(yPosition)cel(itemIcon)init()))
             (else (selectedItem:setPri(15)y(yPosition)cel(0)init()))
	)
	(case 2  = yPosition 189
		     (walkIcon:setPri(15)y(yPosition)init())
             (talkIcon:setPri(15)y(yPosition)init())
             (lookIcon:setPri(15)y(yPosition)init())
             (handIcon:setPri(15)y(yPosition)init())
             (invIcon:setPri(15)y(yPosition)init())
             (blockIcon:setPri(14)y(yPosition)init())
             (levelsIcon:setPri(15)y(yPosition)init())
             (restartIcon:setPri(15)y(yPosition)init())
             (loadIcon:setPri(15)y(yPosition)init())
             (saveIcon:setPri(15)y(yPosition)init())
             (quitIcon:setPri(15)y(yPosition)init())
             (if(<> itemIcon 900)(selectedItem:setPri(15)y(yPosition)cel(itemIcon)init()))
             (else (selectedItem:setPri(15)y(yPosition)cel(0)init()))
	)

  	(default  (walkIcon:setPri(15)y(yPosition)init())
             (talkIcon:setPri(15)y(yPosition)init())
             (lookIcon:setPri(15)y(yPosition)init())
             (handIcon:setPri(15)y(yPosition)init())
             (invIcon:setPri(15)y(yPosition)init())
             (blockIcon:setPri(14)y(yPosition)init())
             (levelsIcon:setPri(15)y(yPosition)init())
             (restartIcon:setPri(15)y(yPosition)init())
             (loadIcon:setPri(15)y(yPosition)init())
             (saveIcon:setPri(15)y(yPosition)init())
             (quitIcon:setPri(15)y(yPosition)init())
             (if(<> itemIcon 900)(selectedItem:setPri(15)y(yPosition)cel(itemIcon)init()setScript(showButtons)))
             (else (selectedItem:setPri(15)y(yPosition)cel(0)init()setScript(showButtons)))
	)
  )// end layout switch
 
  )// end init method
)// end public Instance
//***********************************************************************

(instance PnCMenuScript of Script
(properties)
  (method (doit)
  (super:doit())
  (if(== gLayout 1)// buttons on top
  	(switch(movingButtons)
  	  (case 0 (if((== yPosition 0)or(== yPosition 400)) //icons hidden
			   (if(== gShowMenu	TRUE)
			   	= yPosition 0
			   = movingButtons 1
			   
			   	
			   )
			  )
			  (else
			  (if(>= yPosition 20) //icons in view
			   (if(== gShowMenu	FALSE)
			   = movingButtons 2	
			   )
			   (else
			   	(if(>= menuTime howLong) // this should be long enough
		            = doMenuTimer FALSE
		            = gShowMenu	FALSE
		            = menuTime 0
				)
				(else ++menuTime)
			   )	
			  )
			  )
			  )
  	  (case 1 (if(>= yPosition 20)
  	  		  = movingButtons 0
  	  		  
			  )
			  
	  )
	)
   )// ends layout 1
	
  
    (switch(gCurrentCursor)
    (case 999 (blockIcon:cel(0))(walkIcon:loop(1))(talkIcon:loop(0))(lookIcon:loop(0))(handIcon:loop(0))(selectedItem:loop(2)))// walk
    (case 996 (blockIcon:cel(0))(walkIcon:loop(0))(talkIcon:loop(1))(lookIcon:loop(0))(handIcon:loop(0))(selectedItem:loop(2)))// talk    
    (case 998 (blockIcon:cel(0))(walkIcon:loop(0))(talkIcon:loop(0))(lookIcon:loop(1))(handIcon:loop(0))(selectedItem:loop(2)))// look     
    (case 995 (blockIcon:cel(0))(walkIcon:loop(0))(talkIcon:loop(0))(lookIcon:loop(0))(handIcon:loop(1))(selectedItem:loop(2)))// touch
    (case itemIcon (blockIcon:cel(1))(walkIcon:loop(0))(talkIcon:loop(0))(lookIcon:loop(0)init())(handIcon:loop(0))(selectedItem:loop(3)))
    )// end switch
  (if(<> itemIcon 900)
  	(selectedItem:cel(itemIcon))//loop(3)loop(5)
  )
  (else (selectedItem:cel(0))
  )  
    
  )// end method

  (method (handleEvent pEvent)
  (super:handleEvent(pEvent))
    (if(==(send pEvent:type())evMOUSEBUTTON)
      (if(& (send pEvent:modifiers) emRIGHT_BUTTON)
       (if(== gProgramControl TRUE)(send pEvent:claimed(TRUE)))// do nuthin 
       (else
       	(send pEvent:claimed(TRUE))
        = menuTime 0 // If our menu is present, will keep it around longer
        (switch(gCurrentCursor)
         (case itemIcon  SetCursor(999 HaveMouse()) = gCurrentCursor 999)// item to walk
         (case 999 SetCursor(996 HaveMouse()) = gCurrentCursor 996)// walk to talk
         (case 996 SetCursor(998 HaveMouse()) = gCurrentCursor 998)// talk to look
         (case 998 SetCursor(995 HaveMouse()) = gCurrentCursor 995)// look to touch
         (case 995 
         	(if (== itemIcon 900)SetCursor(999 HaveMouse()) = gCurrentCursor 999)// touch to walk if no item
       		(else SetCursor(itemIcon HaveMouse()) = gCurrentCursor itemIcon)// touch to item
	     )// end case
        )// end switch
	   )
      )// end right button
      (if(not(& (send pEvent:modifiers) emRIGHT_BUTTON))
       (if(== gProgramControl TRUE)(send pEvent:claimed(TRUE)))// do nuthin
       (else // This is where we are first going to try and snag clicks on menubar
         (if(< (send pEvent:y) 1)
            (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))
             (switch(movingButtons)
             	(case 0  (if(== gLayout 1)
             		     (if(== gShowMenu TRUE)
             		 	 = gShowMenu FALSE
             		 	 //
             		 	 
             		 	  
             			 )
             		    (else 
             		 	= gShowMenu TRUE
             		 	)
						)
				)
             	(case 1 = movingButtons 2 = gShowMenu FALSE)
                (case 2 = movingButtons 1 = gShowMenu TRUE)
			 )	 
         )

       
       (else
         (if((> (send pEvent:x) (walkIcon:nsLeft))and
	         (< (send pEvent:x) (walkIcon:nsRight))and
	         (> (send pEvent:y) (walkIcon:nsTop))and
	         (< (send pEvent:y) (walkIcon:nsBottom)))
             (send pEvent:claimed(TRUE))
             (if(== movingButtons 2)= movingButtons 1 = gShowMenu TRUE)
             = menuTime 0
             SetCursor(999 HaveMouse()) 
             = gCurrentCursor 999
		 )(else
         (if((> (send pEvent:x) (talkIcon:nsLeft))and
	         (< (send pEvent:x) (talkIcon:nsRight))and
	         (> (send pEvent:y) (talkIcon:nsTop))and
	         (< (send pEvent:y) (talkIcon:nsBottom)))
             (send pEvent:claimed(TRUE))
             (if(== movingButtons 2)= movingButtons 1 = gShowMenu TRUE)
             = menuTime 0
             SetCursor(996 HaveMouse()) 
             = gCurrentCursor 996
		 )(else
         (if((> (send pEvent:x) (lookIcon:nsLeft))and
	         (< (send pEvent:x) (lookIcon:nsRight))and
	         (> (send pEvent:y) (lookIcon:nsTop))and
	         (< (send pEvent:y) (lookIcon:nsBottom)))
             (send pEvent:claimed(TRUE))
             (if(== movingButtons 2)= movingButtons 1 = gShowMenu TRUE)
             = menuTime 0
             SetCursor(998 HaveMouse()) 
             = gCurrentCursor 998
		 )(else
         (if((> (send pEvent:x) (handIcon:nsLeft))and
	         (< (send pEvent:x) (handIcon:nsRight))and
	         (> (send pEvent:y) (handIcon:nsTop))and
	         (< (send pEvent:y) (handIcon:nsBottom)))
             (send pEvent:claimed(TRUE))
             (if(== movingButtons 2)= movingButtons 1 = gShowMenu TRUE)
             = menuTime 0
             SetCursor(995 HaveMouse()) 
             = gCurrentCursor 995
		 )(else	
         (if((> (send pEvent:x) (invIcon:nsLeft))and
	         (< (send pEvent:x) (invIcon:nsRight))and
	         (> (send pEvent:y) (invIcon:nsTop))and
	         (< (send pEvent:y) (invIcon:nsBottom)))
             (send pEvent:claimed(TRUE))
             (if((== gLayout 1)and(<> movingButtons 2))
             	 = movingButtons 2 
             	 = gShowMenu FALSE
             )
             = menuTime 0
             (invIcon:setScript(dotheinv))
		 )(else	
         (if((> (send pEvent:x) (blockIcon:nsLeft))and
	         (< (send pEvent:x) (blockIcon:nsRight))and
	         (> (send pEvent:y) (blockIcon:nsTop))and
	         (< (send pEvent:y) (blockIcon:nsBottom)))
             (send pEvent:claimed(TRUE))
             (if(== movingButtons 2)= movingButtons 1 = gShowMenu TRUE)
             = menuTime 0
               (if(<> itemIcon 900)
               SetCursor(itemIcon HaveMouse()) 
               = gCurrentCursor itemIcon
               )
               (else Print(500 0))
		 )	(else	 
         (if((> (send pEvent:x) (levelsIcon:nsLeft))and
	         (< (send pEvent:x) (levelsIcon:nsRight))and
	         (> (send pEvent:y) (levelsIcon:nsTop))and
	         (< (send pEvent:y) (levelsIcon:nsBottom)))
             (send pEvent:claimed(TRUE))
             (if(== movingButtons 2)= movingButtons 1 = gShowMenu TRUE)
             = menuTime 0
             (invIcon:setScript(dothelevels))
		 )(else
         (if((> (send pEvent:x) (restartIcon:nsLeft))and
	         (< (send pEvent:x) (restartIcon:nsRight))and
	         (> (send pEvent:y) (restartIcon:nsTop))and
	         (< (send pEvent:y) (restartIcon:nsBottom)))
             (send pEvent:claimed(TRUE))
             (if(== movingButtons 2)= movingButtons 1 = gShowMenu TRUE)
             = menuTime 0
             (restartIcon:setScript(dotherestart))
		 )(else
         (if((> (send pEvent:x) (loadIcon:nsLeft))and
	         (< (send pEvent:x) (loadIcon:nsRight))and
	         (> (send pEvent:y) (loadIcon:nsTop))and
	         (< (send pEvent:y) (loadIcon:nsBottom)))
             (send pEvent:claimed(TRUE))
             (if(== movingButtons 2)= movingButtons 1 = gShowMenu TRUE)
             = menuTime 0
             (loadIcon:setScript(dotheload))
		 )(else	
         (if((> (send pEvent:x) (saveIcon:nsLeft))and
	         (< (send pEvent:x) (saveIcon:nsRight))and
	         (> (send pEvent:y) (saveIcon:nsTop))and
	         (< (send pEvent:y) (saveIcon:nsBottom)))
             (send pEvent:claimed(TRUE))
             (if(== movingButtons 2)= movingButtons 1 = gShowMenu TRUE)
             = menuTime 0
             (saveIcon:setScript(dothesave))
       	 )(else	
         (if((> (send pEvent:x) (quitIcon:nsLeft))and
	         (< (send pEvent:x) (quitIcon:nsRight))and
	         (> (send pEvent:y) (quitIcon:nsTop))and
	         (< (send pEvent:y) (quitIcon:nsBottom)))
             (send pEvent:claimed(TRUE))
             (if(== movingButtons 2)= movingButtons 1 = gShowMenu TRUE)
             = menuTime 0
             (quitIcon:setScript(dothequit))
		 )	   	       	 
//****************************************************************************
//                        Default Action Clicks                                 
//****************************************************************************
// View                                                       // clicks on ego
(else
(if((> (send pEvent:x) (send gEgo:nsLeft))and
	(< (send pEvent:x) (send gEgo:nsRight))and
	(> (send pEvent:y) (send gEgo:nsTop))and
	(< (send pEvent:y) (send gEgo:nsBottom)))
  (switch(gCurrentCursor)
    (case 999 (send pEvent:type(evMOUSEBUTTON) claimed(FALSE))) // walk
    (case 998 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))   // look
    	  (switch(Random(0 2))
    	  	(case 0 Print(950 10))
    	  	(case 1 Print(950 11))
    	  	(case 2 Print(950 12))
    	  )// end random switch
    )// end case look
    (case 996 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))   // talk
    	  (switch(Random(0 2))
    	  	(case 0 Print(950 13))
    	  	(case 1 Print(950 14))
    	  	(case 2 Print(950 15))
    	  )// end random switch
    )// end case talk
    (case 995 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))  // get
    	  (switch(Random(0 2))
    	  	(case 0 Print(950 16))
    	  	(case 1 Print(950 17))
    	  	(case 2 Print(950 18))
    	  )// end random switch
    )// end case get		
    (default  (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))  // other item
    	  (switch(Random(0 2))
    	  	(case 0 Print(950 19))
    	  	(case 1 Print(950 20))
    	  	(case 2 Print(950 21))
    	  )// end random switch
    )// end case item
  ) // end switch
) // end if ego
//****************************************************************************
//                                                           // water defaults
(else
(if(== $0002 OnControl(ocSPECIAL (send pEvent:x) (send pEvent:y)))        // NAVY Control Color
     (switch(gCurrentCursor)
      (case 999 (send pEvent:type(evMOUSEBUTTON) claimed(FALSE))) // walk
      (case 998 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(1 7))// look
      (case 996 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(7 6))// talk
      (case 995 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(7 9))//  get    	
      (default  (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(950 64))// item
     )// end current cursor switch
)// end if Priority
//****************************************************************************
//                                                            // Room defaults
(else
  (switch(gCurrentCursor)
    (case 999 (send pEvent:type(evMOUSEBUTTON) claimed(FALSE))) // walk
    (case 998 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(gRoomNumber 0))// look
    (case 996 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(gRoomNumber 1))// talk
    (case 995 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(gRoomNumber 2))// get
    (default  (send pEvent:type(evMOUSEBUTTON) claimed(TRUE)) // items
    	      (switch(Random(0 2))
    	      	(case 0 Print(950 22))
    	      	(case 1 Print(950 23))
    	      	(case 2 Print(950 24))
    	      )// end random switch
    )// end default case
  )// end cursor switch
)// end else room default
)// end water defaults
)// end else ego default 
	   )
	   )))))))))))
	  )
  ) // end if mousebutton
 )// end method
)// end instance
//*********************************************

(instance dothequit of Script
(properties)
  (method (changeState newState)
   = state newState
   (switch (state)
        (case 0 (quitIcon:loop(1)) = cycles 3)
        (case 1 (if(Print(950 26 #title "Quit"  #font gDefaultFont #button " Quit " 1 #button " Oops " 0))
                = gQuitGame TRUE
                )
                (else (quitIcon:loop(0)))
	   )
      )
   )
)

(instance dothesave of Script
(properties)
  (method (changeState newState)
   = state newState
   (switch (state)
      (case 0 (saveIcon:loop(1))
      	      = cycles 3)
      (case 1
           (if(== canTab TRUE)(saveIcon:loop(0))(send gGame:save()))
           (else Print(950 60))
		   = cycles 1
	  )
	  (case 2 (saveIcon:loop(0))
	  	)
    )
   )
)
(instance dotheload of Script
(properties)
  (method (changeState newState)
   = state newState
   (switch (state)
       (case 0 (loadIcon:loop(1))
      	      = cycles 3)
       (case 1
           (send gGame:restore())
		   = cycles 1
	   )
	   (case 2 (loadIcon:loop(0)))
	  )
   )
)
(instance dotherestart of Script
(properties)
  (method (changeState newState)
   = state newState
   (switch (state)
       (case 0 (restartIcon:loop(1))
      	      = cycles 3)
       (case 1
           (if(Print(950 25 #title "Restart" #font gDefaultFont #button "Restart" 1 #button " Oops " 0))
       		 (send gGame:restart())
		   )
		   (else (restartIcon:loop(0))
                = newState 0)
	   )
	  )
  )
)
(instance dothelevels of Script
(properties)
  (method (changeState newState)
   = state newState
   (switch (state)
      (case 0 (levelsIcon:loop(1))
      	      = cycles 3)
      (case 1
       			               	= sGauge (Gauge:new()) 
       			               	= vGauge (Gauge:new())  
       			               	= pncSpeed (send sGauge:text("Game Speed")
       			               		     description("Use the mouse or the left and right arrow keys to select the game speed.")
       			               		                    higher(" + ")
       			               		                    lower(" - ")
       			               		                    normal(NORMAL_SPEED)
       			               		                    doit(- 15 gSpeed)
       			               		       )// end sgauge info
       			               	(send gGame:setSpeed(- 15 pncSpeed))
       			               	Wait(20)  
       			               	= pncVolume (send vGauge:text("Sound Volume")
       			                                         description("Use the mouse or the left and right arrow keys to adjust the volume.")
       			                                         higher(" + ")
       			                                         lower(" - ")
       			                                         normal(15)
       			                                         doit(DoSound(sndVOLUME pncVolume))
       			                            )// end vgauge info 
       			               	DoSound(sndVOLUME pncVolume)
	 = cycles 2
	 )
	 (case 2 (levelsIcon:loop(0)))
	)
 )
)
(instance dotheinv of Script
(properties)
  (method (changeState newState)
   = state newState
   (switch (state)
      (case 0 (if(== canTab TRUE)
                  = gPreviousCursor gCurrentCursor
                  (invIcon:loop(1))
                  = cycles 3
                )
                (else Print(950 9))
      	      )
      (case 1 = doInventory TRUE)
    ) // switch end
 )// end method
)
//***********************************************************************
(instance walkIcon of Prop(properties x 14 y 189 view 950 loop 0 cel 0))
(instance talkIcon of Prop(properties x 42 y 189 view 950 loop 0 cel 1))
(instance lookIcon of Prop(properties x 70 y 189 view 950 loop 0 cel 2))
(instance handIcon of Prop(properties x 98 y 189 view 950 loop 0 cel 3))
(instance invIcon of Prop(properties x 126 y 189 view 950 loop 0 cel 4))
(instance blockIcon of Prop(properties x 160 y 189 view 950 loop 2 cel 0))
(instance levelsIcon of Prop(properties x 194 y 189 view 950 loop 0 cel 5))
(instance restartIcon of Prop(properties x 222 y 189 view 950 loop 0 cel 6))
(instance loadIcon of Prop(properties x 250 y 189 view 950 loop 0 cel 7))
(instance saveIcon of Prop(properties x 278 y 189 view 950 loop 0 cel 8))
(instance quitIcon of Prop(properties x 306 y 189 view 950 loop 0 cel 9))
(instance selectedItem of Prop(properties x 160 y 189 view 950 loop 3 cel 0)) 

//*********************************************
(instance showButtons of Script
(properties)
  (method (doit)
  (super:doit())
   (switch(movingButtons)
    (case 0 )
   	(case 1 (if(< yPosition 20)
   			+= yPosition yIconStep
   			= menuTime 0 // if were moving, we are not counting
			)
			(else = movingButtons 0
				  = doMenuTimer TRUE
				  
				  )
   	)
   	(case 2 (if((> yPosition 0)and(< yPosition 400))
   			-= yPosition yIconStep
			)
			(else = movingButtons 0
			= yPosition 400
			)
   	        
   	)
   )
              (walkIcon:y(yPosition))
              (talkIcon:y(yPosition))
              (lookIcon:y(yPosition))
              (handIcon:y(yPosition))
              (invIcon:y(yPosition))
              (blockIcon:y(yPosition))
              (levelsIcon:y(yPosition))
              (restartIcon:y(yPosition))
              (loadIcon:y(yPosition))
              (saveIcon:y(yPosition))
              (quitIcon:y(yPosition))
              (if(<> itemIcon 900)(selectedItem:y(yPosition)))
              (else (selectedItem:y(yPosition)))   		
   		
 

 )
)
//***********************************************************************

     