//******************************************************************************
// rm006.sc                                                              BedRoom 
//******************************************************************************
(include "sci.sh")(include "game.sh")                                 (script 6)
//******************************************************************************
(use "Controls")(use "Cycle")(use "Feature")(use "Game")(use "Main")(use "Obj")
//******************************************************************************
(local
  cursor		
)
//******************************************************************************
(instance public rm006 of Rm
(properties picture scriptNumber)
  (method (init)
  (super:init())
  = goToRoom 0
  
  (self:setScript(RoomScript))
    
  //********************************************
  // Handle the Ego placement
  //******************************************** 
  SetUpEgo(0 1)		
  (send gEgo:init()observeControl(ctlNAVY))
  (switch(gPreviousRoomNumber)
  	(default(send gEgo:posn(78 131)loop(3))
  		    = battleRoom 0 
  		    = nextRoom 0
    )
  )// ends switch
  
  //********************************************
  // Next Room Battle ...
  //********************************************
  battleMode()
 
  //********************************************
  // Handle the room accessories
  //********************************************  
  (nightStand:addToPic()ignoreActors()setPri(3))
  (overheadLight:addToPic()ignoreActors()setPri(3))
  (phone:init()ignoreActors()setPri(4))
  (planter:addToPic()ignoreActors()setPri(12))
  (pillow:addToPic()ignoreActors())
  (mirrorEgo:init()setPri(0)ignoreActors()setScript(mirroring)) 

  //********************************************
  // Handle the lost items
  //******************************************** 
  // Not enough heap to allow for all items...
  (if(== item1Room 6) (lostItem1:init())) 
  (if(== item2Room 6) (lostItem2:init())) 
  (if(== item3Room scriptNumber) (lostItem3:init())) 
  (if(== item4Room scriptNumber) (lostItem4:init()))
  (if((not(gotLiveDildo)) or (== item8Room 5) or (== item8Room 6))(dildo:init()ignoreActors())) 
  (if(== item10Room scriptNumber) (lostItem10:init()))
  (if((not(gotPerfume)) or (== item11Room 5) or (== item11Room 6))(perfume:init()ignoreActors())) 
  (if(== item12Room scriptNumber) (lostItem12:init())) 
  
  //********************************************
  // Handle the Doors...
  //********************************************
  (bedClosetDoor:init()ignoreActors()setPri(4))
  
  //******************************************** 
  // Handle the Menu Icons...
  //********************************************
  (walkIcon:setPri(15)addToPic())
  (talkIcon:setPri(15)addToPic())
  (lookIcon:setPri(15)addToPic())
  (handIcon:setPri(15)addToPic())
  (healthBackDrop:setPri(14)addToPic())
  (healthBar:setPri(15)init()cel(egoHealth))
  
  //******************************************** 
  // Handle the Inventory...
  //********************************************
  = newItemX firstItemX // prepares our first x position
  = newItemY firstItemY // prepares our first y position
  
    (for (= i 1) (<= i totalItems) (++i)
     (switch(i)
       (case 1 = thisItem inventory1)
       (case 2 = thisItem inventory2)
       (case 3 = thisItem inventory3)
       (case 4 = thisItem inventory4)
       (case 5 = thisItem inventory5)
       (case 6 = thisItem inventory6)
       (case 7 = thisItem inventory7)
       (case 8 = thisItem inventory8)
       (case 9 = thisItem inventory9)
       (case 10 = thisItem inventory10)
       (case 11 = thisItem inventory11)
       (case 12 = thisItem inventory12)
       (case 13 = thisItem inventory13)
       (case 14 = thisItem inventory14)
	 )// end switch
	 (if(send gEgo:has(i))(send thisItem:setPri(15)init())
     (if(>= newItemX maxItemX) += newItemY spacerItemY = newItemX firstItemX)
  	 (send thisItem: x (newItemX) y (newItemY))   += newItemX spacerItemX)
    )//end for loop  
  	   	   	  	   	 
  //******************************************** 
  // Handle the Lighting...
  //********************************************
  (if(< lightLevel 2)
   (noLight:init()cel(lightLevel)ignoreActors()setPri(13)posn((send gEgo:x) 111)setScript(noLightEgo))
   (coverA1:init()ignoreActors()setPri(13)posn(37 (- (noLight:y) 75))) 
   (coverA2:init()ignoreActors()setPri(13)posn(112 (- (noLight:y) 75)))
   (coverA3:init()ignoreActors()setPri(13)posn(187 (- (noLight:y) 75)))
   (coverA4:init()ignoreActors()setPri(13)posn(262 (- (noLight:y) 75)))
   (coverA5:init()ignoreActors()setPri(13)posn(337 (- (noLight:y) 75)))  
   (cover1:init()posn((+ (send gEgo:x) 75) (- (send gEgo:y) 20))ignoreActors()setPri(13)) 
   (cover2:init()posn((+ (send gEgo:x) 150) (- (send gEgo:y) 20))ignoreActors()setPri(13))
   (cover3:init()posn((+ (send gEgo:x) 225) (- (send gEgo:y) 20))ignoreActors()setPri(13))
   (cover4:init()posn((+ (send gEgo:x) 300) (- (send gEgo:y) 20))ignoreActors()setPri(13))
   (cover5:init()posn((- (send gEgo:x) 75) (- (send gEgo:y) 20))ignoreActors()setPri(13))
   (cover6:init()posn((- (send gEgo:x) 150) (- (send gEgo:y) 20))ignoreActors()setPri(13)) 
   (cover7:init()posn((- (send gEgo:x) 225) (- (send gEgo:y) 20))ignoreActors()setPri(13))
   (cover8:init()posn((- (send gEgo:x) 300) (- (send gEgo:y) 20))ignoreActors()setPri(13))  
   (coverB1:init()posn(37 (+ (noLight:y) 53))ignoreActors()setPri(13)) 
   (coverB2:init()posn(112 (+ (noLight:y) 53))ignoreActors()setPri(13))
   (coverB3:init()posn(187 (+ (noLight:y) 53))ignoreActors()setPri(13))
   (coverB4:init()posn(262 (+ (noLight:y) 53))ignoreActors()setPri(13))
   (coverB5:init()posn(337 (+ (noLight:y) 53))ignoreActors()setPri(13)) 
  )     
	    
  )// end method
)// end instance
//******************************************************************************
// Rooms Views, Props, and Actors
//******************************************************************************
(instance nightStand of Prop(properties x 294 y 129 view 306 loop 0 cel 0))
(instance overheadLight of Prop(properties x 147 y 38 view 306 loop 0 cel 1))
(instance phone of Prop(properties x 293 y 108 view 306 loop 0 cel 2))
(instance perfume of Prop(properties x 66 y 84 view 306 loop 0 cel 3))
(instance planter of Prop(properties x 22 y 129 view 306 loop 0 cel 4))
(instance pillow of Prop(properties x 260 y 102 view 306 loop 0 cel 6))
(instance dildo of Prop(properties x 133 y 84 view 950 loop 5 cel 8))
(instance bedClosetDoor of Prop(properties x 21 y 122 view 306 loop 1 cel 8))
(instance mirrorEgo of Prop(properties x 78 y 116 view 0 loop 3 cel 0))


(instance phoneEgo of Prop(properties x 265 y 128 view 4 loop 0 cel 0))
(instance wordBubble of Prop(properties x 242 y 60 view 306 loop 2 cel 0))
(instance sandyBubble of Prop(properties x 136 y 63 view 3 loop 1 cel 0))
(instance sandy of Prop(properties x 78 y 116 view 104 loop 1 cel 0))

//******************************************************************************
// Menu Icons
//******************************************************************************
(instance walkIcon of Prop(properties x 21 y 160 view 950 loop 0 cel 0))
(instance talkIcon of Prop(properties x 51 y 160 view 950 loop 0 cel 1))
(instance lookIcon of Prop(properties x 81 y 160 view 950 loop 0 cel 2))
(instance handIcon of Prop(properties x 112 y 160 view 950 loop 0 cel 3))
(instance healthBackDrop of Prop(properties x 67 y 182 view 10 loop 0 cel 0))
(instance healthBar of Prop(properties x 77 y 175 view 10 loop 1 cel 0))
//******************************************************************************
// Inventory
//******************************************************************************
(instance lostItem1 of Prop(properties x 122 y 84 view 950 loop 3 cel 2))
(instance lostItem2 of Prop(properties x 122 y 84 view 950 loop 3 cel 2))
(instance lostItem3 of Prop(properties x 101 y 117 view 950 loop 3 cel 3))
(instance lostItem4 of Prop(properties x 189 y 99 view 950 loop 3 cel 4))
(instance lostItem10 of Prop(properties x 138 y 84 view 950 loop 3 cel 10))
(instance lostItem12 of Prop(properties x 109 y 84 view 950 loop 3 cel 12))

(instance inventory1 of Prop(properties x 400 y 400 view 950 loop 5 cel 1))
(instance inventory2 of Prop(properties x 400 y 400 view 950 loop 5 cel 2))
(instance inventory3 of Prop(properties x 400 y 400 view 950 loop 5 cel 3))
(instance inventory4 of Prop(properties x 400 y 400 view 950 loop 5 cel 4))
(instance inventory5 of Prop(properties x 400 y 400 view 950 loop 5 cel 5))
(instance inventory6 of Prop(properties x 400 y 400 view 950 loop 5 cel 6))
(instance inventory7 of Prop(properties x 400 y 400 view 950 loop 5 cel 7))
(instance inventory8 of Prop(properties x 400 y 400 view 950 loop 5 cel 8))
(instance inventory9 of Prop(properties x 400 y 400 view 950 loop 5 cel 9))
(instance inventory10 of Prop(properties x 400 y 400 view 950 loop 5 cel 10))
(instance inventory11 of Prop(properties x 400 y 400 view 950 loop 5 cel 11))
(instance inventory12 of Prop(properties x 400 y 400 view 950 loop 5 cel 12))
(instance inventory13 of Prop(properties x 400 y 400 view 950 loop 5 cel 13))
(instance inventory14 of Prop(properties x 400 y 400 view 950 loop 5 cel 14))
//******************************************************************************
// Lighting
//******************************************************************************
(instance noLight of Prop(properties x 400 y 400 view 2 loop 0 cel 0))
(instance coverA1 of Prop(properties x 37 y 30 view 2 loop 1 cel 1))
(instance coverA2 of Prop(properties x 112 y 30 view 2 loop 1 cel 1))
(instance coverA3 of Prop(properties x 187 y 30 view 2 loop 1 cel 1))
(instance coverA4 of Prop(properties x 262 y 30 view 2 loop 1 cel 1))
(instance coverA5 of Prop(properties x 337 y 30 view 2 loop 1 cel 1))
(instance cover1 of Prop(properties x 37 y 100 view 2 loop 1 cel 0))
(instance cover2 of Prop(properties x 112 y 100 view 2 loop 1 cel 0))
(instance cover3 of Prop(properties x 187 y 100 view 2 loop 1 cel 0))
(instance cover4 of Prop(properties x 262 y 100 view 2 loop 1 cel 0))
(instance cover5 of Prop(properties x 337 y 100 view 2 loop 1 cel 0))
(instance cover6 of Prop(properties x 37 y 100 view 2 loop 1 cel 0))
(instance cover7 of Prop(properties x 112 y 100 view 2 loop 1 cel 0))
(instance cover8 of Prop(properties x 187 y 100 view 2 loop 1 cel 0))
(instance coverB1 of Prop(properties x 37 y 140 view 2 loop 1 cel 2))
(instance coverB2 of Prop(properties x 112 y 140 view 2 loop 1 cel 2))
(instance coverB3 of Prop(properties x 187 y 140 view 2 loop 1 cel 2))
(instance coverB4 of Prop(properties x 262 y 140 view 2 loop 1 cel 2))
(instance coverB5 of Prop(properties x 337 y 140 view 2 loop 1 cel 2))
//******************************************************************************
(instance RoomScript of Script
(properties)
  (method (doit)
  (super:doit())     
   //******************************************** 
   // Handle the Room Transitions...
   //********************************************
   (if(send gEgo:inRect(60 133 100 180))
   	  (if(doBattle) = battleRoom 6 // from room
   	  	            = nextRoom 5   // to room
   	  	            = goToRoom 7)
   	  (else = goToRoom 5)
   )    
   //******************************************** 
   // Memory Management...
   //********************************************
   (if(<> goToRoom 0)
    UnLoad(rsPIC 6)
    UnLoad(rsSCRIPT 6)    
    UnLoad(rsTEXT 950)
    UnLoad(rsTEXT 6)
    UnLoad(rsTEXT 7) 
    UnLoad(rsTEXT 1) 
    UnLoad(rsTEXT 0) 
    UnLoad(rsTEXT 500) 
    UnLoad(rsTEXT 501)  
    UnLoad(rsVIEW 0) 
    UnLoad(rsVIEW 1)
    UnLoad(rsVIEW 2)
    UnLoad(rsVIEW 10)
    UnLoad(rsVIEW 104) 
    UnLoad(rsVIEW 306)
    UnLoad(rsVIEW 950)    
    //******************************************** 
    // Actually Go to the new Room...
    //********************************************
    (send gRoom:newRoom(goToRoom))	
   )// ends if not goToRoom 0
  )// end doit method

  (method (handleEvent pEvent)
  (super:handleEvent(pEvent))
    (if(==(send pEvent:type())evMOUSEBUTTON)
    (if(& (send pEvent:modifiers) emRIGHT_BUTTON)
       (if(== gProgramControl TRUE)(send pEvent:claimed(TRUE)))// do nuthin 
       (else
       	(send pEvent:claimed(TRUE))
        (switch(gCurrentCursor)
         (case itemIcon  SetCursor(999 HaveMouse()) = gCurrentCursor 999)// item to walk
         (case 999 SetCursor(996 HaveMouse()) = gCurrentCursor 996)// walk to talk
         (case 996 SetCursor(998 HaveMouse()) = gCurrentCursor 998)// talk to look
         (case 998 SetCursor(995 HaveMouse()) = gCurrentCursor 995)// look to touch
         (case 995 
         	(if (== itemIcon 900)SetCursor(999 HaveMouse()) = gCurrentCursor 999)// touch to walk if no item
       		(else SetCursor(itemIcon HaveMouse()) = gCurrentCursor itemIcon)// touch to item
	     )// end case
        )// end switch
	   )
      )// end right button	
    	  
      (if(not(& (send pEvent:modifiers) emRIGHT_BUTTON))// left clicks
       (if(== gProgramControl FALSE)
//****************************************************************************
// PLAYABLE AREA                                  
//****************************************************************************
// clicks on Ego   - Only register food, all other clicks assume aren't on ego                               
//****************************************************************************
(if((> (send pEvent:x) (send gEgo:nsLeft))and
	(< (send pEvent:x) (send gEgo:nsRight))and
	(> (send pEvent:y) (send gEgo:nsTop))and
	(< (send pEvent:y) (send gEgo:nsBottom)))
  (switch(gCurrentCursor)
    (case 999 (send pEvent:type(evMOUSEBUTTON) claimed(FALSE))) // walk
    (case 3 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(0 6)Print(0 7)Print(0 8)   // rotting ham
    	    (inventory3:cel(0))
            SetCursor(995 HaveMouse())
            = itemIcon 900
            = gCurrentCursor 995
            ++handicapLevel
            --egoHealth
            (healthBar:cel(egoHealth))
            (send gEgo:put(3))
	)
    (case 4 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(0 9)Print(0 7)Print(0 8)   // rotting turkey
    	    (inventory4:cel(0))
            SetCursor(995 HaveMouse())
            = itemIcon 900
            = gCurrentCursor 995
            ++handicapLevel
            --egoHealth
            (healthBar:cel(egoHealth))
            (send gEgo:put(4))
	)
    (case 5 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(0 10))   // ketchup
    (case 6 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(0 11))   // lettuce
    (case 7 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(0 12)Print(0 13)   // salad
    	    (inventory5:cel(0))
    	    (inventory6:cel(0))
    	    (inventory7:cel(0))
            SetCursor(995 HaveMouse())
            = itemIcon 900
            = gCurrentCursor 995
            ++egoHealth
            (healthBar:cel(egoHealth))
            (send gEgo:put(7))
	)
    (default  (send pEvent:type(evMOUSEBUTTON) claimed(FALSE)))  // all other cursors
  ) // end switch
) // end if ego                                  
//****************************************************************************
// Menu Icons                                  
//****************************************************************************
(if((> (send pEvent:x) (walkIcon:nsLeft))and
	         (< (send pEvent:x) (walkIcon:nsRight))and
	         (> (send pEvent:y) (walkIcon:nsTop))and
	         (< (send pEvent:y) (walkIcon:nsBottom)))
             (send pEvent:claimed(TRUE))
             SetCursor(999 HaveMouse()) 
             = gCurrentCursor 999
		 )
(if((> (send pEvent:x) (talkIcon:nsLeft))and
	         (< (send pEvent:x) (talkIcon:nsRight))and
	         (> (send pEvent:y) (talkIcon:nsTop))and
	         (< (send pEvent:y) (talkIcon:nsBottom)))
             (send pEvent:claimed(TRUE))
             SetCursor(996 HaveMouse()) 
             = gCurrentCursor 996
		 )
(if((> (send pEvent:x) (lookIcon:nsLeft))and
	         (< (send pEvent:x) (lookIcon:nsRight))and
	         (> (send pEvent:y) (lookIcon:nsTop))and
	         (< (send pEvent:y) (lookIcon:nsBottom)))
             (send pEvent:claimed(TRUE))
             SetCursor(998 HaveMouse()) 
             = gCurrentCursor 998
		 )
(if((> (send pEvent:x) (handIcon:nsLeft))and
	         (< (send pEvent:x) (handIcon:nsRight))and
	         (> (send pEvent:y) (handIcon:nsTop))and
	         (< (send pEvent:y) (handIcon:nsBottom)))
             (send pEvent:claimed(TRUE))
             SetCursor(995 HaveMouse()) 
             = gCurrentCursor 995
		 )
//****************************************************************************
// Clicks on Inventory                                   
//****************************************************************************
(for (= i 1) (<= i totalItems) (++i)  
     (switch(i)
       (case 1 = thisItem inventory1            = thisTitle "Flashlight")
       (case 2 = thisItem inventory2            = thisTitle "Flashlight")
       (case 3 = thisItem inventory3            = thisTitle "Rotting Ham")
       (case 4 = thisItem inventory4            = thisTitle "Rotting Turkey")
       (case 5 = thisItem inventory5            = thisTitle "Ketchup")
       (case 6 = thisItem inventory6            = thisTitle "Lettuce")
       (case 7 = thisItem inventory7            = thisTitle "Salad")
       (case 8 = thisItem inventory8            = thisTitle "Intimate Personal Massager")
       (case 9 = thisItem inventory9            = thisTitle "Wire")
       (case 10 = thisItem inventory10          = thisTitle "Batteries")
       (case 11 = thisItem inventory11          = thisTitle "Vintage Perfume Atomizer")
       (case 12 = thisItem inventory12          = thisTitle "Key")
       (case 13 = thisItem inventory13          = thisTitle "Fuses")
       (case 14 = thisItem inventory14          = thisTitle "Golden Chalice")
	 )	      
     = isSpecial FALSE           // check if i is a special case value
     (for (= a 0) (< a 5) (++a) // ***************************** reflect size of specialCase array !!!!!!!!!!
     	(if(== specialCase[a] i)
     	= isSpecial TRUE
		)
	 )	
  (if(not(isSpecial))	 
  (if((> (send pEvent:x)(send thisItem:nsLeft))and // item ### 
      (< (send pEvent:x)(send thisItem:nsRight))and
      (> (send pEvent:y)(send thisItem:nsTop))and
      (< (send pEvent:y)(send thisItem:nsBottom)))
      (switch(send thisItem:cel)
      	(case 0 )// cel 0, probly been dropped
      	(case i  // its there and waiting
          (switch(gCurrentCursor)
          	(case 999 (send pEvent:type(evMOUSEBUTTON) claimed(FALSE)))// walk
            (case 998 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE)) Print(500 i #title thisTitle #icon 950 4 i #time 15 ))// look
            (case 997 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(501 15))// talk
            (case 995 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))SetCursor(i HaveMouse())// get
                      = itemIcon i
                      = gCurrentCursor i)
            (case i (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(501 0)) // itself                
            (default (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(501 10)) // other items
          )// end current cursor switch
		)// end cel case
      )// end inventory cel switch
  )// ends click on view 
  )// ends not special...
)// ends for loop

// Inventory Special Cases
  (if((> (send pEvent:x)(inventory1:nsLeft))and // item ### 
      (< (send pEvent:x)(inventory1:nsRight))and
      (> (send pEvent:y)(inventory1:nsTop))and
      (< (send pEvent:y)(inventory1:nsBottom)))
      (switch(inventory1:cel)
      	(case 0 )// cel 0, probly been dropped or used already... same visit
      	(case 1  // its there and waiting
          (switch(gCurrentCursor)
          	(case 999 (send pEvent:type(evMOUSEBUTTON) claimed(FALSE)))// walk
            (case 998 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(500 1 #title "Flashlight" #icon 950 4 1 #time 15 ))// look
            (case 997 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(501 15))// talk
            (case 995 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))SetCursor(1 HaveMouse())// get
                      = itemIcon 1
                      = gCurrentCursor 1)
            (case 1 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(501 0)) // itself
            (case 10 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(501 16) // Batteries                
                     (send gEgo:put(1))
                     (send gEgo:put(10))
                     (send gEgo:get(2))
                     = gotLiveFlashlight TRUE 
                     (send gGame:changeScore(3))
                     (inventory1:cel(2))
                     (inventory10:cel(0))
                     SetCursor(995 HaveMouse())// get
                      = itemIcon 900
                      = gCurrentCursor 995
                      (if(== lightLevel 0) // If the lights are off, turn on the flashlight.
                      	 = lightLevel 1
                      	 Print(501 17)
                         (noLight:cel(1))	 
					  )
			)
            (default (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(501 10)) // other items
          )// end current cursor switch
		)// end cel case
		(case 2 // It has already been changed... this same visit 
          (switch(gCurrentCursor)
          	(case 999 (send pEvent:type(evMOUSEBUTTON) claimed(FALSE)))// walk
            (case 998 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(500 2 #title "Flashlight" #icon 950 4 2 #time 15 ))// look
            (case 997 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(501 15))// talk
            (case 995 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))SetCursor(2 HaveMouse())// get
                      = itemIcon 2
                      = gCurrentCursor 2)
            (case 2 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(501 0)) // itself                 
            (default (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(501 10)) // other items
          )// end current cursor switch
		)
      )// end inventory cel switch
  )// ends click on view
  (if((> (send pEvent:x)(inventory10:nsLeft))and // item ### 
      (< (send pEvent:x)(inventory10:nsRight))and
      (> (send pEvent:y)(inventory10:nsTop))and
      (< (send pEvent:y)(inventory10:nsBottom)))
      (switch(inventory10:cel)
      	(case 0 )// cel 0, probly been dropped or used already... same visit
      	(case 10  // its there and waiting
          (switch(gCurrentCursor)
          	(case 999 (send pEvent:type(evMOUSEBUTTON) claimed(FALSE)))// walk
            (case 998 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(500 10 #title "Batteries" #icon 950 4 10 #time 15 ))// look
            (case 997 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(501 15))// talk
            (case 995 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))SetCursor(10 HaveMouse())// get
                      = itemIcon 10
                      = gCurrentCursor 10)
            (case 10 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(501 0)) // itself
            (case 1 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(501 16) // Batteries                
                     (send gEgo:put(1))
                     (send gEgo:put(10))
                     (send gEgo:get(2))
                     = gotLiveFlashlight TRUE 
                     (send gGame:changeScore(3))
                     (inventory10:cel(2))
                     (inventory1:cel(0))
                     SetCursor(995 HaveMouse())// get
                      = itemIcon 900
                      = gCurrentCursor 995 
                      (if(== lightLevel 0) // If the lights are off, turn on the flashlight.
                      	 = lightLevel 1
                      	 Print(501 17)
                         (noLight:cel(1))
					  )
			)
            (default (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(501 10)) // other items
          )// end current cursor switch
		)// end cel case
		(case 2 // It has already been changed... this same visit 
          (switch(gCurrentCursor)
          	(case 999 (send pEvent:type(evMOUSEBUTTON) claimed(FALSE)))// walk
            (case 998 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(500 2 #title "Flashlight" #icon 950 4 2 #time 15 ))// look
            (case 997 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(501 15))// talk
            (case 995 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))SetCursor(2 HaveMouse())// get
                      = itemIcon 2
                      = gCurrentCursor 2)
            (case 2 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(501 0)) // itself                 
            (default (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(501 10)) // other items
          )// end current cursor switch
		)
      )// end inventory cel switch
  )// ends click on view
  
  (if((> (send pEvent:x)(inventory8:nsLeft))and // item ### 
      (< (send pEvent:x)(inventory8:nsRight))and
      (> (send pEvent:y)(inventory8:nsTop))and
      (< (send pEvent:y)(inventory8:nsBottom)))
      (switch(inventory8:cel)
      	(case 0 )// cel 0, probly been dropped or used already... same visit
      	(case 8  // its there and waiting
          (switch(gCurrentCursor)
          	(case 999 (send pEvent:type(evMOUSEBUTTON) claimed(FALSE)))// walk
            (case 998 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(500 8 #title "Intimate Personal Massager" #icon 950 4 8 #time 15)// look
            	      Print(501 19)
            	      Print(501 20)
            	      (send gEgo:get(10))
            	      (send gEgo:put(8))
            	      = gotBatteries TRUE
            	      (inventory8:cel(0))
                      (send gGame:changeScore(3))
            	      = thisItem inventory10
                      (send thisItem:setPri(15)init())
                      (if(>= newItemX maxItemX) += newItemY spacerItemY = newItemX firstItemX)
  	                  (send thisItem: x (newItemX) y (newItemY))   += newItemX spacerItemX
  	        )
            (case 997 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(501 15))// talk	      
            (case 995 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))SetCursor(8 HaveMouse())// get
                      = itemIcon 8
                      = gCurrentCursor 8)
            (default (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(501 10)) // other items
		  )// end current cursor switch
		)// end cel case
	  )	// ends switch	
  )// ends click on view

  (if((> (send pEvent:x)(inventory5:nsLeft))and // item ### 
      (< (send pEvent:x)(inventory5:nsRight))and
      (> (send pEvent:y)(inventory5:nsTop))and
      (< (send pEvent:y)(inventory5:nsBottom)))
      (switch(inventory5:cel)
      	(case 0 )// cel 0, probly been dropped or used already... same visit
      	(case 5  // its there and waiting
          (switch(gCurrentCursor)
          	(case 999 (send pEvent:type(evMOUSEBUTTON) claimed(FALSE)))// walk
            (case 998 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(500 5 #title "Ketchup" #icon 950 4 5 #time 15 ))// look
            (case 997 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(501 15))// talk
            (case 995 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))SetCursor(5 HaveMouse())// get
                      = itemIcon 5
                      = gCurrentCursor 5)
            (case 5 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(501 0)) // itself
            (case 6 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(501 18) // lettuce                
                     (send gEgo:put(5))
                     (send gEgo:put(6))
                     (send gEgo:get(7))
                     = gotSalad TRUE
                     (send gGame:changeScore(3))
                     (inventory5:cel(7))
                     (inventory6:cel(0))
                     SetCursor(995 HaveMouse())// get
                      = itemIcon 900
                      = gCurrentCursor 995 
			)
            (default (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(501 10)) // other items
          )// end current cursor switch
		)// end cel case
		(case 7 // It has already been changed... this same visit 
          (switch(gCurrentCursor)
          	(case 999 (send pEvent:type(evMOUSEBUTTON) claimed(FALSE)))// walk
            (case 998 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(500 2 #title "Ghetto Salad" #icon 950 4 7 #time 15 ))// look
            (case 997 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(501 15))// talk
            (case 995 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))SetCursor(7 HaveMouse())// get
                      = itemIcon 7
                      = gCurrentCursor 7)
            (case 2 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(501 0)) // itself                 
            (default (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(501 10)) // other items
          )// end current cursor switch
		)
      )// end inventory cel switch
  )// ends click on view

  (if((> (send pEvent:x)(inventory6:nsLeft))and // item ### 
      (< (send pEvent:x)(inventory6:nsRight))and
      (> (send pEvent:y)(inventory6:nsTop))and
      (< (send pEvent:y)(inventory6:nsBottom)))
      (switch(inventory6:cel)
      	(case 0 )// cel 0, probly been dropped or used already... same visit
      	(case 6  // its there and waiting
          (switch(gCurrentCursor)
          	(case 999 (send pEvent:type(evMOUSEBUTTON) claimed(FALSE)))// walk
            (case 998 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(500 6 #title "Lettuce" #icon 950 4 6 #time 15 ))// look
            (case 997 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(501 15))// talk
            (case 995 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))SetCursor(6 HaveMouse())// get
                      = itemIcon 6
                      = gCurrentCursor 6)
            (case 6 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(501 0)) // itself
            (case 5 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(501 18) // lettuce                
                     (send gEgo:put(5))
                     (send gEgo:put(6))
                     (send gEgo:get(7))
                     = gotSalad TRUE
                     (send gGame:changeScore(3))
                     (inventory6:cel(7))
                     (inventory5:cel(0))
                     SetCursor(995 HaveMouse())// get
                      = itemIcon 900
                      = gCurrentCursor 995
			)
            (default (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(501 10)) // other items
          )// end current cursor switch
		)// end cel case
		(case 7 // It has already been changed... this same visit 
          (switch(gCurrentCursor)
          	(case 999 (send pEvent:type(evMOUSEBUTTON) claimed(FALSE)))// walk
            (case 998 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(500 2 #title "Ghetto Salad" #icon 950 4 7 #time 15 ))// look
            (case 997 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(501 15))// talk
            (case 995 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))SetCursor(7 HaveMouse())// get
                      = itemIcon 7
                      = gCurrentCursor 7)
            (case 2 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(501 0)) // itself                 
            (default (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(501 10)) // other items
          )// end current cursor switch
		)
      )// end inventory cel switch
  )// ends click on view                                  
//****************************************************************************
// Regular Room Clicks                                  
//****************************************************************************
(if(== (send pEvent:type(evMOUSEBUTTON) claimed()) FALSE)	
(if(((> (send pEvent:x) (coverA1:nsLeft))and(< (send pEvent:x) (coverA1:nsRight))and(> (send pEvent:y) (coverA1:nsTop))and(< (send pEvent:y) (coverA1:nsBottom))) or
    ((> (send pEvent:x) (coverA2:nsLeft))and(< (send pEvent:x) (coverA2:nsRight))and(> (send pEvent:y) (coverA2:nsTop))and(< (send pEvent:y) (coverA2:nsBottom))) or
    ((> (send pEvent:x) (coverA3:nsLeft))and(< (send pEvent:x) (coverA3:nsRight))and(> (send pEvent:y) (coverA3:nsTop))and(< (send pEvent:y) (coverA3:nsBottom))) or
    ((> (send pEvent:x) (coverA4:nsLeft))and(< (send pEvent:x) (coverA4:nsRight))and(> (send pEvent:y) (coverA4:nsTop))and(< (send pEvent:y) (coverA4:nsBottom))) or
    ((> (send pEvent:x) (coverA5:nsLeft))and(< (send pEvent:x) (coverA5:nsRight))and(> (send pEvent:y) (coverA5:nsTop))and(< (send pEvent:y) (coverA5:nsBottom))) or
    ((> (send pEvent:x) (cover1:nsLeft))and(< (send pEvent:x) (cover1:nsRight))and(> (send pEvent:y) (cover1:nsTop))and(< (send pEvent:y) (cover1:nsBottom))) or
    ((> (send pEvent:x) (cover2:nsLeft))and(< (send pEvent:x) (cover2:nsRight))and(> (send pEvent:y) (cover2:nsTop))and(< (send pEvent:y) (cover2:nsBottom))) or
    ((> (send pEvent:x) (cover3:nsLeft))and(< (send pEvent:x) (cover3:nsRight))and(> (send pEvent:y) (cover3:nsTop))and(< (send pEvent:y) (cover3:nsBottom))) or
    ((> (send pEvent:x) (cover4:nsLeft))and(< (send pEvent:x) (cover4:nsRight))and(> (send pEvent:y) (cover4:nsTop))and(< (send pEvent:y) (cover4:nsBottom))) or
    ((> (send pEvent:x) (cover5:nsLeft))and(< (send pEvent:x) (cover5:nsRight))and(> (send pEvent:y) (cover5:nsTop))and(< (send pEvent:y) (cover5:nsBottom))) or
    ((> (send pEvent:x) (cover6:nsLeft))and(< (send pEvent:x) (cover6:nsRight))and(> (send pEvent:y) (cover6:nsTop))and(< (send pEvent:y) (cover6:nsBottom))) or
    ((> (send pEvent:x) (cover7:nsLeft))and(< (send pEvent:x) (cover7:nsRight))and(> (send pEvent:y) (cover7:nsTop))and(< (send pEvent:y) (cover7:nsBottom))) or
    ((> (send pEvent:x) (cover8:nsLeft))and(< (send pEvent:x) (cover8:nsRight))and(> (send pEvent:y) (cover8:nsTop))and(< (send pEvent:y) (cover8:nsBottom))) or
    ((> (send pEvent:x) (coverB1:nsLeft))and(< (send pEvent:x) (coverB1:nsRight))and(> (send pEvent:y) (coverB1:nsTop))and(< (send pEvent:y) (coverB1:nsBottom))) or
    ((> (send pEvent:x) (coverB2:nsLeft))and(< (send pEvent:x) (coverB2:nsRight))and(> (send pEvent:y) (coverB2:nsTop))and(< (send pEvent:y) (coverB2:nsBottom))) or
    ((> (send pEvent:x) (coverB3:nsLeft))and(< (send pEvent:x) (coverB3:nsRight))and(> (send pEvent:y) (coverB3:nsTop))and(< (send pEvent:y) (coverB3:nsBottom))) or
    ((> (send pEvent:x) (coverB4:nsLeft))and(< (send pEvent:x) (coverB4:nsRight))and(> (send pEvent:y) (coverB4:nsTop))and(< (send pEvent:y) (coverB4:nsBottom))) or
    ((> (send pEvent:x) (coverB5:nsLeft))and(< (send pEvent:x) (coverB5:nsRight))and(> (send pEvent:y) (coverB5:nsTop))and(< (send pEvent:y) (coverB5:nsBottom))))
     (switch(gCurrentCursor)
      (case 999 (send pEvent:type(evMOUSEBUTTON) claimed(FALSE))) // walk
      (case 998 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(0 0))// look
      (case 996 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(0 1))// talk
      (case 995 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(0 2))//  get
      (default  (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(0 3))// other items
     )// end current cursor switch
)// end view
//*****************************************
// Lost Items
//*****************************************
  (else	
  (if((> (send pEvent:x) (lostItem1:nsLeft))and
    (< (send pEvent:x) (lostItem1:nsRight))and
    (> (send pEvent:y) (lostItem1:nsTop))and
    (< (send pEvent:y) (lostItem1:nsBottom)))
     (switch(gCurrentCursor)
      (case 999 (send pEvent:type(evMOUSEBUTTON) claimed(FALSE))) // walk
      (case 998 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(7 0))// look
      (case 996 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(7 1))// talk
      (case 995 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))//  get
      	                     Print(7 2)
      	                     (send gEgo:get(1))
      	                     (lostItem1:posn(400 400))
      	                     = item1Room 0
      	              = thisItem inventory1
                      (send thisItem:setPri(15)init())
                      (if(>= newItemX maxItemX) += newItemY spacerItemY = newItemX firstItemX)
  	                  (send thisItem: x (newItemX) y (newItemY))   += newItemX spacerItemX
	  )
      (default  (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(7 3))// other items
     )// end current cursor switch
  )// end view
  (else	
  (if((> (send pEvent:x) (lostItem2:nsLeft))and
    (< (send pEvent:x) (lostItem2:nsRight))and
    (> (send pEvent:y) (lostItem2:nsTop))and
    (< (send pEvent:y) (lostItem2:nsBottom)))
     (switch(gCurrentCursor)
      (case 999 (send pEvent:type(evMOUSEBUTTON) claimed(FALSE))) // walk
      (case 998 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(7 0))// look
      (case 996 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(7 1))// talk
      (case 995 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))//  get
      	                     Print(7 2)
      	                     (send gEgo:get(2))
      	                     (lostItem2:posn(400 400))
      	                     = item2Room 0
      	                     (if(== lightLevel 0)
      	                       = lightLevel 1
                               (noLight:cel(1))
							 )
      	              = thisItem inventory2
                      (send thisItem:setPri(15)init())
                      (if(>= newItemX maxItemX) += newItemY spacerItemY = newItemX firstItemX)
  	                  (send thisItem: x (newItemX) y (newItemY))   += newItemX spacerItemX
	  )
      (default  (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(7 3))// other items
     )// end current cursor switch
  )// end view
  (else	
  (if((> (send pEvent:x) (lostItem3:nsLeft))and
    (< (send pEvent:x) (lostItem3:nsRight))and
    (> (send pEvent:y) (lostItem3:nsTop))and
    (< (send pEvent:y) (lostItem3:nsBottom)))
     (switch(gCurrentCursor)
      (case 999 (send pEvent:type(evMOUSEBUTTON) claimed(FALSE))) // walk
      (case 998 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(7 4))// look
      (case 996 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(7 5))// talk
      (case 995 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))//  get
      	                     Print(7 6)
      	                     (send gEgo:get(3))
      	                     (lostItem3:posn(400 400))
      	                     = item3Room 0
      	              = thisItem inventory3
                      (send thisItem:setPri(15)init())
                      (if(>= newItemX maxItemX) += newItemY spacerItemY = newItemX firstItemX)
  	                  (send thisItem: x (newItemX) y (newItemY))   += newItemX spacerItemX
	  )
      (default  (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(7 7))// other items
     )// end current cursor switch
  )// end view  (else	
  (if((> (send pEvent:x) (lostItem4:nsLeft))and
    (< (send pEvent:x) (lostItem4:nsRight))and
    (> (send pEvent:y) (lostItem4:nsTop))and
    (< (send pEvent:y) (lostItem4:nsBottom)))
     (switch(gCurrentCursor)
      (case 999 (send pEvent:type(evMOUSEBUTTON) claimed(FALSE))) // walk
      (case 998 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(7 8))// look
      (case 996 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(7 9))// talk
      (case 995 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))//  get
      	              	       Print(7 10)
      	                     (send gEgo:get(4))
      	                     (lostItem4:posn(400 400))
      	                     = item4Room 0
      	              = thisItem inventory4
                      (send thisItem:setPri(15)init())
                      (if(>= newItemX maxItemX) += newItemY spacerItemY = newItemX firstItemX)
  	                  (send thisItem: x (newItemX) y (newItemY))   += newItemX spacerItemX
	  )
      (default  (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(7 11))// other items
     )// end current cursor switch
  )// end view
  (else	
  (if((> (send pEvent:x) (lostItem10:nsLeft))and
    (< (send pEvent:x) (lostItem10:nsRight))and
    (> (send pEvent:y) (lostItem10:nsTop))and
    (< (send pEvent:y) (lostItem10:nsBottom)))
     (switch(gCurrentCursor)
      (case 999 (send pEvent:type(evMOUSEBUTTON) claimed(FALSE))) // walk
      (case 998 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(7 28))// look
      (case 996 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(7 29))// talk
      (case 995 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))//  get
      	                     Print(7 30)
      	                     (send gEgo:get(10))
      	                     (lostItem10:posn(400 400))
      	                     = item10Room 0
      	              = thisItem inventory10
                      (send thisItem:setPri(15)init())
                      (if(>= newItemX maxItemX) += newItemY spacerItemY = newItemX firstItemX)
  	                  (send thisItem: x (newItemX) y (newItemY))   += newItemX spacerItemX
	  )
      (default  (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(7 31))// other items
     )// end current cursor switch
  )// end view
  (else	
  (if((> (send pEvent:x) (lostItem12:nsLeft))and
    (< (send pEvent:x) (lostItem12:nsRight))and
    (> (send pEvent:y) (lostItem12:nsTop))and
    (< (send pEvent:y) (lostItem12:nsBottom)))
     (switch(gCurrentCursor)
      (case 999 (send pEvent:type(evMOUSEBUTTON) claimed(FALSE))) // walk
      (case 998 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(7 36))// look
      (case 996 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(7 37))// talk
      (case 995 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))//  get
      	                     Print(7 38)
      	                     (send gEgo:get(12))
      	                     (lostItem12:posn(400 400))
      	                     = item12Room 0
      	              = thisItem inventory12
                      (send thisItem:setPri(15)init())
                      (if(>= newItemX maxItemX) += newItemY spacerItemY = newItemX firstItemX)
  	                  (send thisItem: x (newItemX) y (newItemY))   += newItemX spacerItemX
	  )
      (default  (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(7 39))// other items
     )// end current cursor switch
  )// end view
  //************************************************************	
(else
	(if((> (send pEvent:x) (dildo:nsLeft))and
    (< (send pEvent:x) (dildo:nsRight))and
    (> (send pEvent:y) (dildo:nsTop))and
    (< (send pEvent:y) (dildo:nsBottom)))
     (switch(gCurrentCursor)
      (case 999 (send pEvent:type(evMOUSEBUTTON) claimed(FALSE))) // walk
      (case 998 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(6 4))// look
      (case 996 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(6 5))// talk
      (case 995 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))//  get
      	              Print(6 6)
      	              (if(not(gotLiveDildo))
      	        	   = gotLiveDildo TRUE
      	        	   (send gGame:changeScore(1))
					  )
      	        	  = item8Room 0
      	        	  (dildo:posn(339 87))
      	        	  (send gEgo:get(8))
      	        	  
            	      = thisItem inventory8
                      (send thisItem:setPri(15)init())
                      (if(>= newItemX maxItemX) += newItemY spacerItemY = newItemX firstItemX)
  	                  (send thisItem: x (newItemX) y (newItemY))   += newItemX spacerItemX
	  )
      (default  (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(6 7))// other items
    )// end current cursor switch
)// end view
(else
	(if((> (send pEvent:x) (perfume:nsLeft))and
    (< (send pEvent:x) (perfume:nsRight))and
    (> (send pEvent:y) (perfume:nsTop))and
    (< (send pEvent:y) (perfume:nsBottom)))
     (switch(gCurrentCursor)
      (case 999 (send pEvent:type(evMOUSEBUTTON) claimed(FALSE))) // walk
      (case 998 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(6 8))// look
      (case 996 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(6 9))// talk
      (case 995 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))//  get
      	              Print(6 10)
	                  (if(not(gotPerfume))
      	        	   (send gGame:changeScore(1))
      	        	   = gotPerfume TRUE
					  )
      	        	  = item11Room 0
      	        	  (perfume:posn(339 87))
      	        	  (send gEgo:get(11))
      	        	  
            	      = thisItem inventory11
                      (send thisItem:setPri(15)init())
                      (if(>= newItemX maxItemX) += newItemY spacerItemY = newItemX firstItemX)
  	                  (send thisItem: x (newItemX) y (newItemY))   += newItemX spacerItemX
	  )
      (default  (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(6 11))// other items
    )// end current cursor switch
)// end view	
	
(else
// Click on Control
(if(== $0004 OnControl(ocSPECIAL (send pEvent:x) (send pEvent:y)))        // Green 
     (switch(gCurrentCursor)
      (case 999 (send pEvent:type(evMOUSEBUTTON) claimed(FALSE))) // walk
      (case 998 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(6 12))// look
      (case 996 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(6 13))// talk
      (case 995 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(6 14))//  get
      (default  (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(6 15))// item
     )// end current cursor switch
)// end if Control
(else
// Click on Control
(if(== $0008 OnControl(ocSPECIAL (send pEvent:x) (send pEvent:y)))        // Teal 
     (switch(gCurrentCursor)
      (case 999 (send pEvent:type(evMOUSEBUTTON) claimed(FALSE))) // walk
      (case 998 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(6 16))// look
      (case 996 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(6 17))// talk
      (case 995 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(6 18))//  get
      (default  (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(6 19))// item
     )// end current cursor switch
)// end if Control
(else
// Click on Control
(if(== $0040 OnControl(ocSPECIAL (send pEvent:x) (send pEvent:y)))        // Brown 
     (switch(gCurrentCursor)
      (case 999 (send pEvent:type(evMOUSEBUTTON) claimed(FALSE))) // walk
      (case 998 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(6 20))// look
      (case 996 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(6 21))// talk
      (case 995 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(6 22))//  get
      (default  (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(6 23))// item
     )// end current cursor switch
)// end if Control
(else
// Click on Priority
(if(== $1000 OnControl(ocPRIORITY (send pEvent:x) (send pEvent:y)))        // Red 
     (switch(gCurrentCursor)
      (case 999 (send pEvent:type(evMOUSEBUTTON) claimed(FALSE))) // walk
      (case 998 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(1 59))// look
      (case 996 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(1 60))// talk
      (case 995 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(1 61))//  get
      (default  (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(1 62))// item
     )// end current cursor switch
)// end if Priority
(else
// Click on Control
(if(== $0010 OnControl(ocSPECIAL (send pEvent:x) (send pEvent:y)))        // Maroon 
     (switch(gCurrentCursor)
      (case 999 (send pEvent:type(evMOUSEBUTTON) claimed(FALSE))) // walk
      (case 998 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(6 24))// look
      (case 996 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(6 25))// talk
      (case 995 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))//  get
      	        (if(bedroomClosetOpen)          // door unlocked
      	           
      	           Print(6 26)
      	           (bedClosetDoor:cel(1)setPri(3)posn(43 116))
      	             (if(< lightLevel 2)ProgramControl() // lights off
      	        	 (sandy:posn((+ (send gEgo:x) 25) (send gEgo:y))init()hide()setScript(bagEgo))
      	        	 )
				  
				)
				(else                           // door locked
					Print(6 29)
					Print(6 30)
				)
	  )
      (default  (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(6 35))// item
     )// end current cursor switch
)// end if Control
(else
// Click on Control
(if(== $0200 OnControl(ocSPECIAL (send pEvent:x) (send pEvent:y)))        // Blue 
     (switch(gCurrentCursor)
      (case 999 (send pEvent:type(evMOUSEBUTTON) claimed(FALSE))) // walk
      (case 998 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(6 36))// look
      (case 996 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(6 37))// talk
      (case 995 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(6 38))//  get
      (default  (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(6 39))// item
     )// end current cursor switch
)// end if Control
(else
// Click on Control
(if(== $0080 OnControl(ocSPECIAL (send pEvent:x) (send pEvent:y)))        // Silver 
     (switch(gCurrentCursor)
      (case 999 (send pEvent:type(evMOUSEBUTTON) claimed(FALSE))) // walk
      (case 998 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(6 31))// look
      (case 996 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(6 32))// talk
      (case 995 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(6 33))//  get
      (default  (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(6 34))// item
     )// end current cursor switch
)// end if Control
(else
// Click on Control
(if(== $1000 OnControl(ocSPECIAL (send pEvent:x) (send pEvent:y)))        // Red 
     (switch(gCurrentCursor)
      (case 999 (send pEvent:type(evMOUSEBUTTON) claimed(FALSE))) // walk
      (case 998 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(6 40))// look
      (case 996 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(6 41))// talk
      (case 995 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(6 42))//  get
      (default  (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(6 43))// item
     )// end current cursor switch
)// end if Control
(else
// Click on Control
(if(== $0020 OnControl(ocSPECIAL (send pEvent:x) (send pEvent:y)))        // Purple 
     (switch(gCurrentCursor)
      (case 999 (send pEvent:type(evMOUSEBUTTON) claimed(FALSE))) // walk
      (case 998 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))// look
      	        (if(< lightLevel 2)Print(0 0))
      	        (else Print(6 44))
	  )
      (case 996 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))// talk
      	        (if(< lightLevel 2)Print(0 1))
      	        (else Print(6 45))
	  )
      (case 995 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))//  get
      	        (if(< lightLevel 2)Print(0 2))
      	        (else
      	        	(if(send gEgo:inRect(240 118 300 137))
      	        	//Print("Picking up the phone, you are surprised to hear a dial tone.")
      	            //Print("You dial the only number that you know may be of use to you in a time like this.")
      	            ProgramControl()
      	            (phone:setScript(talkOnPhone))
				    )
				    (else Print("You are not close enough to use the phone."))
				)
	  )
      (default  (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))// item
      	        (if(< lightLevel 2)Print(0 3))
      	        (else Print(6 46))
	  )
     )// end current cursor switch
)// end if Control

(else
// Click on Control
(if(== $0100 OnControl(ocSPECIAL (send pEvent:x) (send pEvent:y)))        // Gray 
     (switch(gCurrentCursor)
      (case 999 (send pEvent:type(evMOUSEBUTTON) claimed(FALSE))) // walk
      (case 998 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))(if(< lightLevel 2)Print(0 0))(else Print(6 47)))// look
      (case 996 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))(if(< lightLevel 2)Print(0 1))(else Print(6 48)))// talk
      (case 995 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))(if(< lightLevel 2)Print(0 2))(else Print(6 49)))//  get
      (default  (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))(if(< lightLevel 2)Print(0 3))(else Print(6 50)))// item
     )// end current cursor switch
)// end if Control
//****************************************************************************
//                                                            // Room defaults
(else
  (switch(gCurrentCursor)
    (case 999 (send pEvent:type(evMOUSEBUTTON) claimed(FALSE))) // walk
    (case 998 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(gRoomNumber 0))// look
    (case 996 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(gRoomNumber 1))// talk
    (case 995 (send pEvent:type(evMOUSEBUTTON) claimed(TRUE))Print(gRoomNumber 2))// get
    (default  (send pEvent:type(evMOUSEBUTTON) claimed(TRUE)) // items
    	      (switch(Random(0 2))
    	      	(case 0 Print(950 22))
    	      	(case 1 Print(950 23))
    	      	(case 2 Print(950 24))
    	      )// end random switch
    )// end default case
  )// end cursor switch
)// end else room default
//*************************************
)))))))))))))))))
//*************************************/
)// ends check of claimed or not
	   )// end if not program control
      )// end left click
    )// end mouse button
  )// end method
)// end instance

//********************************************
(instance noLightEgo of Script
(properties)
  (method (doit)
  	(var lightingLevel darkHeight)
  (super:doit()) 
  = darkHeight 53
  
  (noLight:posn((send gEgo:x) (- (send gEgo:y) 20)))
  (coverA1:posn(37 (- (noLight:y) 75))) 
  (coverA2:posn(112 (- (noLight:y) 75))) 
  (coverA3:posn(187 (- (noLight:y) 75))) 
  (coverA4:posn(262 (- (noLight:y) 75))) 
  (coverA5:posn(337 (- (noLight:y) 75)))  
  
  (cover1:posn((+ (send gEgo:x) 75) (noLight:y)))
  (cover2:posn((+ (send gEgo:x) 150) (noLight:y))) 
  (cover3:posn((+ (send gEgo:x) 225) (noLight:y))) 
  (cover4:posn((+ (send gEgo:x) 300) (noLight:y)))
  (cover5:posn((- (send gEgo:x) 75) (noLight:y)))  
  (cover6:posn((- (send gEgo:x) 150) (noLight:y)))  
  (cover7:posn((- (send gEgo:x) 225) (noLight:y)))  
  (cover8:posn((- (send gEgo:x) 300) (noLight:y)))  
  
  (coverB1:posn(37 (+ (noLight:y) 53)))  
  (coverB2:posn(112 (+ (noLight:y) 53)))
  (coverB3:posn(187 (+ (noLight:y) 53))) 
  (coverB4:posn(262 (+ (noLight:y) 53)))
  (coverB5:posn(337 (+ (noLight:y) 53)))         
  )// end method
)// end instance

//*****************************************
// Man in the Mirrror
//*****************************************
(instance mirroring of Script
(properties)
  (method (doit)
  (super:doit()) 
  (mirrorEgo:loop(send gEgo:loop) posn((send gEgo:x) (- (send gEgo:y) 15)))
 )// end method
)// end instance
//*****************************************
// Capture Ego
//*****************************************
// if closet unlocked and lights are still off
// opening closet door triggers death sequence
//*****************************************

(instance bagEgo of Script
(properties)
  (method (changeState newState)
  (= state newState)
    (switch (newState)
    (case 0 SetCursor(0 HaveMouse())
            = cycles 5)
    (case 1 Print("Aha, you have found the Golden Chalice!" #time 5)
    	    = cycles 5)
    (case 2 (sandy:show())
    	    = cycles 5)
    (case 3 (send gEgo:hide())//view(3)cel(0)cycleSpeed(1)setCycle(End bagEgo))
			(sandy:view(3)loop(0)setPri(3)cel(0)cycleSpeed(1)setCycle(End bagEgo))
			)
	(case 4 = cycles 10)
	(case 5 (sandyBubble:init()setPri(15))
		    = cycles 15)
	(case 6 (sandyBubble:cel(1))
			= cycles 15)
    (case 7 (sandyBubble:hide()posn(400 400))
			= deathBy 2
			= cycles 5
			)
	(case 8 = goToRoom 8)
    )// end switch
  )// end method
)// end instance

//*****************************************
// Phone for Help
//*****************************************
// If clicked on phone in this version of room
// means lights are on and the closet door is 
// locked... calling 911 just because trapped
//*****************************************

(instance talkOnPhone of Script
(properties)
  (method (changeState newState)
  (= state newState)
    (switch (newState)
    (case 0 ProgramControl()
            SetCursor(0 HaveMouse())
    	    Print("Picking up the phone, you are surprised to hear a dial tone." #time 8)
    	    = cycles 2
	        )
	(case 1 (phone:cel(5))
		    (phoneEgo:init())
		    (send gEgo:hide())
		    (send gGame:changeScore(14))
      	    = seconds 3
	        )
	(case 2 
      	    Print("You dial the only number that you know may be of use to you in a time like this." #time 10)
      	    = seconds 3
	)
	(case 3
      	    (wordBubble:init()posn(200 69)cel(0)setPri(15))
      	    = seconds 2
	)
	(case 4 (wordBubble:posn(206 127)cel(1))
      	    = seconds 2
	)
	(case 5 (wordBubble:posn(200 69)cel(2))
      	    = seconds 2
	)
	(case 6 (wordBubble:posn(206 127)cel(3))
      	    = seconds 2
	)
	(case 7 (wordBubble:posn(200 69)cel(4))
      	    = seconds 2
	)
	(case 8 
		    (wordBubble:hide()posn(400 400))
		    (phoneEgo:hide()posn(400 400))
		    (phone:cel(2))
		    (send gEgo:show()posn(256 126))
		    = cycles 5
	)
	(case 9
		    Print("With that the phone call ends, so you hang it back up." #time 10)
		    = cycles 15
	)
	(case 10 
		    Print("Nothing left to do now but wait." #time 5)
		    (send gEgo:loop(2))
		    = seconds 5
    )
    (case 11 = goToRoom 15)
    )// end switch
  )// end method
)// end instance

//******************************************************
// Battling trigger
//******************************************************
(procedure public (battleMode)
(switch(lightLevel)
  	(case 0
  		  (if(== handicapLevel 1)  // attack chance at 85%
  		  	  (switch(Random(1 20))
  		  	  	(case 3 )// no attack...
  		  	  	(case 12 )// no attack...
  		  	  	(case 17 )// no attack...
  		  	    (default = doBattle TRUE)
			  )// end random switch
		  )
		  (else
  		    (if(== handicapLevel 2) // attack chance at 90%
  		  	  (switch(Random(1 10))
  		  	  	(case 3 )// no attack...
  		  	    (default = doBattle TRUE)
			  )// end random switch
		    )
		    (else // attack chance at 80%
  		  	  (switch(Random(1 10))
  		  	  	(case 3 )// no attack...
  		  	  	(case 7 )// no attack...
  		  	    (default = doBattle TRUE)
			  )// end random switch
		    )// end else
		  )// end else
	)// ends no flashlight attack logic
	(case 1
  		  (if(== handicapLevel 1)  // attack chance at 40%
  		  	  (switch(Random(1 5))
  		  	  	(case 2 )// no attack...
  		  	  	(case 4 )// no attack...
  		  	  	(case 5 )// no attack...
  		  	    (default = doBattle TRUE)
			  )// end random switch
		  )
		  (else
  		    (if(== handicapLevel 2) // attack chance at 45%
  		  	  (switch(Random(1 20))
  		  	  	(case 1  = doBattle TRUE)
  		  	  	(case 2  = doBattle TRUE)
  		  	  	(case 5  = doBattle TRUE)
  		  	  	(case 6  = doBattle TRUE)
  		  	  	(case 10  = doBattle TRUE)
  		  	  	(case 11  = doBattle TRUE)
  		  	  	(case 14  = doBattle TRUE)
  		  	  	(case 15  = doBattle TRUE)
  		  	  	(case 19  = doBattle TRUE)
  		  	    (default )// no attack...
			  )// end random switch
		    )
		    (else // attack chance at 35%
  		  	  (switch(Random(1 20))
  		  	  	(case 1  = doBattle TRUE)
  		  	  	(case 2  = doBattle TRUE)
  		  	  	(case 5  = doBattle TRUE)
  		  	  	(case 6  = doBattle TRUE)
  		  	  	(case 10  = doBattle TRUE)
  		  	  	(case 11  = doBattle TRUE)
  		  	  	(case 14  = doBattle TRUE)
  		  	    (default )// no attack...
			  )// end random switch
		    )// end else
		  )// end else
	)// ends flashlight attack logic
	(case 2
  		  (if(== handicapLevel 1)  // attack chance at 15%
  		  	  (switch(Random(1 20))
  		  	  	(case 5  = doBattle TRUE)
  		  	  	(case 11  = doBattle TRUE)
  		  	  	(case 18  = doBattle TRUE)
  		  	    (default )// no attack...
			  )// end random switch
		  )
		  (else
  		    (if(== handicapLevel 2) // attack chance at 20%
  		  	  (switch(Random(1 10))
  		  	  	(case 3  = doBattle TRUE)
  		  	  	(case 7  = doBattle TRUE)
  		  	    (default )// no attack...
			  )// end random switch
		    )
		    (else // attack chance at 10%
  		  	  (switch(Random(1 10))
  		  	  	(case 3  = doBattle TRUE)
  		  	    (default )// no attack...
			  )// end random switch
		    )// end else
		  )// end else
	)// ends all lights attack logic
  )// ends light level switch
)
